<div class="tabber" id="tab2" style="display: none;">

	<div class="titleBar">
		<h2>Edit Live Webinar Settings</h2>
		<p style="margin-bottom: 35px;" >Here you can edit & manage your webinar settings...</p>
		<p>
			<span class=" btn blue-btn-5" id="previews" ><a href="<?php echo get_permalink( $data->postID ); ?>?preview-webinar" target="_blank" ><i class="icon-external-link" ></i> Preview Live Webinar</a></span>
			<span class=" btn blue-btn-5" id="previews" ><a href="<?php echo get_permalink( $data->postID ); ?>?preview-countdown" target="_blank" ><i class="icon-external-link" ></i> Preview Countdown</a></span>
		</p>
	</div>

	<?php

	display_tutorial(
		"Webinar Settings Video Tutorial:",
		"http://webinarexpress.com/members/download-training/"
	);
	
	display_edit_toggle(
		"cogs",
		"Edit Webinar Settings",
		"we_edit_webinar_settings"
	);

	?>

	<div id="we_edit_webinar_settings" class="we_edit_area" >
		<?php
		// display_field( 
		// 	$_GET['id'],
		// 	$results->webinar_title,
		// 	"Webinar Title", 
		// 	"webinar_title",
		// 	"This is what the title of your webinar will be called...",
		// 	"Ex. How I Rock At Webinars..."
		// );
		display_field( 
			$_GET['id'],
			$results->webinar_desc,
			"Webinar Description", 
			"webinar_desc",
			"This is the description of what they will learning on the webinar...",
			"Ex. Learn insider trade secrets..."
		);
		display_field( 
			$_GET['id'],
			$results->webinar_host,
			"Webinar Host(s)", 
			"webinar_host",
			"This is the name(s) of the host(s) of the webinar...",
			"Ex. Mark Thompson & Dylan Jones"
		);
		display_info(
				"Note: Webinar Info",
				"This is also used for the META SEO settings; Site Title & Description..."
		);
		display_date( 
			$_GET['id'],
			$results->webinar_date,
			"Webinar Date", 
			"webinar_date",
			"This is the day that the webinar will go live...",
			"Ex. M-D-Y"
		);
		display_field( 
			$_GET['id'],
			$results->webinar_start_time,
			"Webinar Start Time", 
			"webinar_start_time",
			"The time the webinar starts... <b>MUST BE IN 24 time (hour:minute): ie: 12:30</b>",
			"12:30"
		);
		display_field( 
			$_GET['id'],
			$results->webinar_end_time,
			"Webinar End Time", 
			"webinar_end_time",
			"The time the webinar is due to end (used for the calendars)...  <b>MUST BE IN 24 time (hour:minute): ie: 13:30</b>",
			"13:30"
		);
		display_field( 
			$_GET['id'],
			$results->webinar_timezone,
			"Webinar Timezone", 
			"webinar_timezone",
			"This is the timezone for your webinar, <b>Should be in GMT timezone code, ie, EST is -5</b><br><br>
			<a href='http://wwp.greenwichmeantime.com/info/timezone.htm' target='_blank' >Check GMT List Codes</a>",
			"Ex. -5"
		);
		?>

		<?php
		display_info(
				"Note: Webinar Time - For Calendars",
				"This information is used on countdown page, and for the add to calendar buttons (google calendar, ical, and outlook)..."
		);
		display_option( 
			$_GET['id'],
			$results->webinar_info_block,
			"Edit Webinar Info Block Copy", 
			"webinar_info_block",
			"You can edit what the webinar info block says, if you want to translate it...",
			"Keep Defaults [default], Translate / Edit Copy [custom]"
		);
		?>
		<div class="webinar_info_block" id="webinar_info_block_custom" style="display: none;" >
			<?php
			display_field( 
				$_GET['id'],
				$results->webinar_info_block_title,
				"Title Of Info Block", 
				"webinar_info_block_title",
				"This is the copy shown at the top of the info block...",
				"Ex. Webinar Information"
			);
			display_field( 
				$_GET['id'],
				$results->webinar_info_block_host,
				"Host Title", 
				"webinar_info_block_host",
				"This is the copy that displays next to the hosts...",
				"Ex. Your Host:"
			);
			display_field( 
				$_GET['id'],
				$results->webinar_info_block_eventtitle,
				"Webinar Title", 
				"webinar_info_block_eventtitle",
				"This is the copy that displays next to the webinar title...",
				"Ex. Webinar Topic:"
			);
			display_field( 
				$_GET['id'],
				$results->webinar_info_block_desc,
				"Webinar Description", 
				"webinar_info_block_desc",
				"This is the copy that displays next to the webinar description...",
				"Ex. What You Will Learn:"
			);
			?>
		</div>
	</div>

	<?php
	
	display_edit_toggle(
		"play-sign",
		"Edit Webinar Live Embed Video Settings",
		"we_edit_webinar_video"
	);

	?>

	<div id="we_edit_webinar_video" class="we_edit_area" >
		<?php
		display_textarea( 
			$_GET['id'],
			$results->webinar_live_video,
			"Live Video Embed Code", 
			"webinar_live_video",
			"This is the embed code for the live streaming for the webinar, can Google Hangouts, JustinTV, YouStream, etc...",
			"Live video embed code..."
		);
		display_color( 
			$_GET['id'],
			$results->webinar_live_bgcolor,
			"Live Video Background Color", 
			"webinar_live_bgcolor",
			"This is the color for the area around the video...",
			"#000000"
		);
		display_info(
			"Note: Live Embed Code",
			"This is the embed code the live streaming service gives you, it is automatically resized to fit: 920px by 518px..."
		);
		?>
	</div>

	<?php
	
	display_edit_toggle(
		"picture",
		"Edit Webinar Banner Settings",
		"we_edit_webinar_design"
	);

	?>

	<div id="we_edit_webinar_design" class="we_edit_area" >
		<?php
		display_option( 
			$_GET['id'],
			$results->webinar_banner_bg_style,
			"Banner Background Style", 
			"webinar_banner_bg_style",
			"You can choose between a simple background color, or to have a background iamge (repeating horiztonally)",
			"Show Banner Area [show], Hide Banner Area [hide]"
		);
		?>
		<div class="webinar_banner_bg_style" id="webinar_banner_bg_style_show" >
			<?php
			display_color( 
				$_GET['id'],
				$results->webinar_banner_bg_color,
				"Banner Background Color", 
				"webinar_banner_bg_color",
				"Choose a color for the top banner area, this will fill the entire top banner area...",
				"#FFFFFF"
			);
			?>
			<?php
			display_field_image( 
				$_GET['id'],
				$results->webinar_banner_bg_repeater,
				"Banner Repeating BG Image", 
				"webinar_banner_bg_repeater",
				"This is the image that is repeated horiztonally in the background of the banner area... If you leave this blank, it will just show the banner BG color... <br><br><b>best results:</b> 89px high..",
				"http://yoursite.com/banner-bg.png"
			);
			?>
			<?php
			display_field_image( 
				$_GET['id'],
				$results->webinar_banner_image,
				"Banner Image URL:", 
				"webinar_banner_image",
				"This is the URL for the banner image you want to be shown. By defualt it is placed in the middle, perfect for a logo... <br><br><b>best results:</b> 89px high and 960px wide...",
				"http://yoursite.com/banner-image.png"
			);
			display_info(
				"Note: Banner Image Sizing",
				"The background image (repeating) and the banner image should have the size height, so it looks good on the site, any size will work, but best is around 89px high..."
			);
			?>
		</div>
	</div>

	<?php
	
	display_edit_toggle(
		"magic",
		"Edit Webinar Background Settings",
		"we_edit_webinar_bg"
	);

	?>

	<div id="we_edit_webinar_bg" class="we_edit_area" >
		<?php
		display_color( 
			$_GET['id'],
			$results->webinar_background_color,
			"Background Color", 
			"webinar_background_color",
			"This is the color for the main section, this fills the entire webinar page area...",
			"#DDDDDD"
		);
		display_field_image( 
			$_GET['id'],
			$results->webinar_background_image,
			"Repeating Background Image URL", 
			"webinar_background_image",
			"You can have a repeating image to be shown as the background to add some flare to your webinar page...",
			"http://yoursite.com/background-image.png"
		);
		display_info(
			"Note: Background Image",
			"If this is left blank, no background image will be shown..."
		);
		?>
	</div>

	<?php
	
	display_edit_toggle(
		"comments",
		"Edit Question / Answer Area",
		"we_edit_webinar_qa"
	);

	?>

	<div id="we_edit_webinar_qa" class="we_edit_area" >
		<?php

		display_wpeditor( 
				$_GET['id'],
				$results->webinar_qa_title,
				"Q / A Headline Copy", 
				"webinar_qa_title",
				"This is the copy shown above the QA System (under the webinar video)",
				""
		);

		display_option( 
			$_GET['id'],
			$results->webinar_qa,
			"Q / A Type", 
			"webinar_qa",
			"You can either choose from our built-in simple Q/A System, or use a 3rd party service...",
			"Simple WebinarExpress Q / A [we], 3rd Party Service [custom]"
		);
		?>
		<div class="webinar_qa" id="webinar_qa_we" >
			<?php
			// display_field( 
			// 	$_GET['id'],
			// 	$results->webinar_qa_name_placeholder,
			// 	"Name Field Placeholder", 
			// 	"webinar_qa_name_placeholder",
			// 	"This is the placeholder copy for the name field on the Q / A system...",
			// 	"Ex. Your Full Name..."
			// );
			// display_field( 
			// 	$_GET['id'],
			// 	$results->webinar_qa_email_placeholder,
			// 	"Email Field Placeholder", 
			// 	"webinar_qa_email_placeholder",
			// 	"This is the placeholder copy for the email field on the Q / A system...",
			// 	"Ex. Your Email Address..."
			// );
			display_field( 
				$_GET['id'],
				$results->webinar_qa_desc_placeholder,
				"Question Field Placeholder", 
				"webinar_qa_desc_placeholder",
				"This is the placeholder copy for the question field on the Q / A system...",
				"Ex. Ask Your Question Here..."
			);
			display_field( 
				$_GET['id'],
				$results->webinar_qa_button,
				"Submit Question Button Copy", 
				"webinar_qa_button",
				"This is the copy that is shown on the button to submit the question",
				"Ex. Submit Your Question"
			);
			display_color( 
				$_GET['id'],
				$results->webinar_qa_button_color,
				"Button Color", 
				"webinar_qa_button_color",
				"This is the color of the button for submitting a question",
				"Ex. #000000"
			);
			display_wpeditor( 
				$_GET['id'],
				$results->webinar_qa_thankyou,
				"Thank You Copy", 
				"webinar_qa_thankyou",
				"This is the copy that is shown when they submit a question, shows for a 20 seconds, then QA re apears..",
				""
			);
			?>
		</div>
		<div class="webinar_qa" id="webinar_qa_custom" >
			<?php
			display_textarea( 
				$_GET['id'],
				$results->webinar_qa_custom,
				"Q / A Custom Code", 
				"webinar_qa_custom",
				"This is the code for the live chat / QA system you want to use, this code should be provided to you by the 3rd party service...",
				"Live chat code..."
			);
			display_info(
				"Note: 3rd Party Service",
				"A great system to use is LiveFyre, it has a nice social integration, so that it creates buzz for your live webinar and for the replay webianr..."
			);
			?>
		</div>
	</div>

	<?php
	
	display_edit_toggle(
		"volume-up",
		"Edit Turn Up Speakers Copy",
		"we_edit_webinar_speaker"
	);

	?>

	<div id="we_edit_webinar_speaker" class="we_edit_area" >
		<?php
		display_field( 
			$_GET['id'],
			$results->webinar_speaker,
			"Turn Up Speakers Copy", 
			"webinar_speaker",
			"This is the copy shown at the top of the webinar reminding viewers to turn up their speakers...",
			"Ex. Turn Up Your Speakers..."
		);
		display_color( 
			$_GET['id'],
			$results->webinar_speaker_color,
			"Turn Up Speakers Copy Color", 
			"webinar_speaker_color",
			"This is the color of the copy fo the turn up speaker...",
			"Ex. #000000"
		);
		?>
	</div>

	<?php
	
	display_edit_toggle(
		"user",
		"Edit Invite Friends To Webinar",
		"we_edit_webinar_social"
	);

	?>

	<div id="we_edit_webinar_social" class="we_edit_area" >
		<?php
		display_field( 
			$_GET['id'],
			$results->webinar_invite,
			"Invite Headline", 
			"webinar_invite",
			"This is the copy the copy shown above the webinar video to invite friends to the webinar (Facebook & Twitter)...",
			"Ex. Invite Your Friends To The Webinar"
		);
		display_color( 
			$_GET['id'],
			$results->webinar_invite_color,
			"Invite Headline Color", 
			"webinar_invite_color",
			"This is the color of the copy fo the invite headline...",
			"Ex. #000000"
		);
		display_option( 
			$_GET['id'],
			$results->webinar_fb_share,
			"Facebook Share", 
			"webinar_fb_share",
			"You can turn on or off the Facebook like area...",
			"Enable [on], Disable [off]"
		);
		display_option( 
			$_GET['id'],
			$results->webinar_tw_share,
			"Twitter Share", 
			"webinar_tw_share",
			"You can turn on or off the Twiter like area...",
			"Enable [on], Disable [off]"
		);
		display_info(
			"Note: Social Share Messages",
			"The share social messages for the Twitter and Facebook are taken from the webinar event info; Title & Description..."
		);
		?>
	</div>

	<?php
	
	display_edit_toggle(
		"phone",
		"Edit Call In Number",
		"we_edit_webinar_callin"
	);

	?>

	<div id="we_edit_webinar_callin" class="we_edit_area" >
		<?php
		display_option( 
			$_GET['id'],
			$results->webinar_callin,
			"Webinar Call In Number", 
			"webinar_callin",
			"You can hide or show the call in number if you have a number for viewers to call in and ask questions... ",
			"Enable Call Number [show], Disable Call Number [hide]"
		);
		?>
		<div class="webinar_callin" id="webinar_callin_show" >
			<?php
			display_field( 
				$_GET['id'],
				$results->webinar_callin_copy,
				"Call In Copy", 
				"webinar_callin_copy",
				"This is the copy that is shown next to the call number...",
				"Ex. To Join Call:"
			);
			display_color( 
				$_GET['id'],
				$results->webinar_callin_color,
				"Call In Phone Copy Color", 
				"webinar_callin_color",
				"This is the color of the copy fo the Call In Phone headline...",
				"Ex. #000000"
			);
			display_field( 
				$_GET['id'],
				$results->webinar_callin_number,
				"Call In Phone Number", 
				"webinar_callin_number",
				"This is the actual number they would need to call to join in on the live call...",
				"Ex. 1-555-555-5555"
			);
			display_color( 
				$_GET['id'],
				$results->webinar_callin_color2,
				"Phone Number Color", 
				"webinar_callin_color2",
				"This is the color of the copy fo the Phone number...",
				"Ex. #000000"
			);
			display_info(
				"Note: Call Number",
				"Google Hangouts gives a call number that they can call, you can also use a skype number..."
			);
			?>
		</div>
	</div>

	<?php
	
	display_edit_toggle(
		"microphone",
		"Edit Live Copy",
		"we_edit_webinar_live"
	);

	?>

	<div id="we_edit_webinar_live" class="we_edit_area" >
		<?php
		display_field( 
			$_GET['id'],
			$results->webinar_live,
			"Live Webinar Copy", 
			"webinar_live",
			"This is the copy shown under the video in green to show people the webinar is live...",
			"Ex. Webinar Is Live"
		);
		display_color( 
			$_GET['id'],
			$results->webinar_live_color,
			"Live Webinar Color", 
			"webinar_live_color",
			"This is the color of the copy...",
			"#000000"
		);
		?>
	</div>

	<?php
	
	display_edit_toggle(
		"gift",
		"Edit Live Give Away",
		"we_edit_webinar_giveaway"
	);

	?>

	<div id="we_edit_webinar_giveaway" class="we_edit_area" >
		<?php
		display_field( 
			$_GET['id'],
			$results->webinar_giveaway_title,
			"Give Away Block Title", 
			"webinar_giveaway_title",
			"This is the title for the give away block...",
			"Ex. Thank You Gift:"
		);
		display_wpeditor( 
			$_GET['id'],
			$results->webinar_giveaway,
			"Give Away Copy", 
			"webinar_giveaway",
			"Copy for the give away, can anything you want here..."
		);
		display_info(
				"Note: Give Away",
				"Giving people a gift for coming to the webinar is a great way to get people to join the call, give away a report, or something else of great valuable..."
			);
		?>
	</div>

		<?php
	
	display_edit_toggle(
		"time",
		"Edit Countdown Copy",
		"we_edit_countdown"
	);

	?>

	<div id="we_edit_countdown" class="we_edit_area" >
		<?php
		display_wpeditor( 
			$_GET['id'],
			$results->cd_headline,
			"Countdown Headline", 
			"cd_headline",
			"This is the copy that is shown above the countdown timer...",
			""
		);
		display_field( 
			$_GET['id'],
			$results->cd_button_copy,
			"Register Button Copy", 
			"cd_button_copy",
			"This is the copy that is shown on the button below the countdown timer...",
			"Ex. Register For The Webinar"
		);
		display_color( 
			$_GET['id'],
			$results->cd_button_color,
			"Button Colo", 
			"cd_button_color",
			"This is the color of the button...",
			"Ex. #000000"
		);
		display_option( 
			$_GET['id'],
			$results->cd_button,
			"Register Button URL", 
			"cd_button",
			"You can either link to the landing page in this funnel or a custom URL",
			"Go To Landing Page [we], Custom Landing Page URL [custom]"
		);
		?>
		<div class="cd_button" id="cd_button_custom">
			<?php
			display_field( 
				$_GET['id'],
				$results->cd_button_url,
				"Custom Landing Page URL", 
				"cd_button_url",
				"This is a custom URL you want the button to go on the countdown page...",
				"Ex. http://yoursite.com/register-for-webinar/"
			);
			?>
		</div>
		<?php
			display_wpeditor( 
				$_GET['id'],
				$results->cd_headline2,
				"Register Headline", 
				"cd_headline2",
				"This is the copy that is shown under the countdown timer, above the button...",
				""
			);

			display_info(
				"Note: Countdown Page",
				"This is the page people will see if they go to the webinar page if it is not yet live..."
			);
		?>
	</div>

	

	<div class="bottomSaveArea">
		<a href="#" class="blue-btn-4 btn saveIt" ><i class="icon-save" ></i> Save & Update</a>
	</div>

</div>