<div class="tabber" id="tab5" style="display: none;">

	<div class="titleBar">
		<h2>Webinar Replay Settings:</h2>
		<p style="margin-bottom: 35px;" >Here you can manage the settings for the webinar...</p>
		<p>
			<span class=" btn blue-btn-5" id="previews" ><a href="<?php echo get_permalink( $data->postID ); ?>?preview-replay" target="_blank" ><i class="icon-external-link" ></i> Preview Webinar Replay</a></span>
		</p>
	</div>

	<?php

	display_tutorial(
		"Webinar Replay Settings Video Tutorial:",
		"http://webinarexpress.com/members/download-training/"
	);
	
	display_edit_toggle(
		"film",
		"Replay Video",
		"we_edit_replay_video"
	);

	?>

	<div id="we_edit_replay_video" class="we_edit_area" >
		<?php
		display_textarea( 
			$_GET['id'],
			$results->replay_video,
			"Replay Video", 
			"replay_video",
			"This is the embed code for the video for the webinar replay...",
			"Ex. Video embed code / iframe code"
		);
		display_info(
			"Note: Video Embed Code",
			"If you are using Google Hangouts embed code, the same code they provide for the live boardcast will be the same code you enter here..."
		);
		?>
	</div>

	<?php 
	
	display_edit_toggle(
		"time",
		"Countdown - Expiring Replay",
		"we_edit_replay_cd"
	);

	?>

	<div id="we_edit_replay_cd" class="we_edit_area" >
		<?php
		display_field( 
			$_GET['id'],
			$results->replay_cd_headline,
			"Countdown Headline", 
			"replay_cd_headline",
			"This is the headline above the countdown area for how long the replay is live for...",
			"Ex. This Replay Is Being Taken Down On Tuesday May 23rd"
		);
		display_color( 
			$_GET['id'],
			$results->replay_cd_color2,
			"Countdown Headline Background Color", 
			"replay_cd_color2",
			"This is the color of the background for the countdown headline...",
			"#000000"
		);
		display_date( 
			$_GET['id'],
			$results->replay_cd_date,
			"Countdown Close Date", 
			"replay_cd_date",
			"This is the date the webinar goes down by, after this date, the replay page will be replaced with the closed page...",
			"MM-DD-YYYY"
		);
		display_color( 
			$_GET['id'],
			$results->replay_cd_color,
			"Countdown Background Color", 
			"replay_cd_color",
			"This is the color of the background for the countdown timer...",
			"#000000"
		);
		?>
	</div>

	<?php 
	
	display_edit_toggle(
		"money",
		"Timed Action - Order Button",
		"we_edit_replay_timed"
	);

	?>

	<div id="we_edit_replay_timed" class="we_edit_area" >
		<?php

		display_option( 
			$_GET['id'],
			$results->replay_timed_style,
			"Timed Action Style", 
			"replay_timed_style",
			"You can choose between a simple order button or custom HTML...",
			"Order Button [button], Custom HTML Copy [custom]"
		);
		?>
		<div class="replay_timed_style" id="replay_timed_style_button" >
		<?php
		display_field( 
			$_GET['id'],
			$results->replay_order_copy,
			"Order Button Copy", 
			"replay_order_copy",
			"This is what the order button says...",
			"Ex. Order Your Copy Now"
		);
		display_field( 
			$_GET['id'],
			$results->replay_order_url,
			"Order URL", 
			"replay_order_url",
			"This is the URL where the order button will go...",
			"Ex. http://yoursite.com/order-now"
		);
		display_color( 
			$_GET['id'],
			$results->replay_order_color,
			"Order Button Color", 
			"replay_order_color",
			"This is the color for the button...",
			"#000000"
		);
		?>
		</div>
		<div class="replay_timed_style" id="replay_timed_style_custom" >
			<?php
			display_wpeditor( 
				$_GET['id'],
				$results->replay_order_html,
				"Custom HTML Copy", 
				"replay_order_html",
				"This is custom html you can have for the timed area which will show under the replay..."
			);
			?>	
		</div>
		<?php
		display_field( 
			$_GET['id'],
			$results->replay_order_time,
			"Time For Button To Appear", 
			"replay_order_time",
			"This is the time in seconds you want the button to appear...",
			"Ex. 60"
		);
		display_info(
			"Note: Timed Action",
			"The timed action is in seconds, one second is 1, one minute would be 60, 15 minutes would be 900..."
		);
		?>
	</div>

	<?php 
	
	display_edit_toggle(
		"remove-sign",
		"Webinar Closed Copy",
		"we_edit_replay_closed"
	);

	?>

	<div id="we_edit_replay_closed" class="we_edit_area" >
		<?php
		display_wpeditor( 
			$_GET['id'],
			$results->replay_closed,
			"Webinar Closed Copy", 
			"replay_closed",
			"This is the copy that is displayed when the countdown reaches zero, or when you select webinar closed in the main webinar control...",
			""
		);
		?>
	</div>

	<div class="bottomSaveArea">
		<a href="#" class="blue-btn-4 btn saveIt" ><i class="icon-save" ></i> Save & Update</a>
	</div>

</div>