<?php

// DISPLAY OPTIONS

function display_option_img($num, $data, $title, $id, $help, $options){

	// Get options:

	$items = trim($items);
	$items = explode(",", $options);

	// Output HTML

	?>

	<div class="editSection">

		<div class="inputTitle">
			<div class="inputTitleCopy" ><?php echo $title; ?></div>
			<div class="inputTitleHelp" ><?php echo $help; ?></div>
		</div>


		
		<div class="inputSection">
			 
			  <?php

			  	foreach($items as $item) {

			  		// parse value

			  		$item = explode("[", $item);
			  		$item[0] = trim($item[0]);
			  		$item[1] = str_replace("]", "", $item[1]);

			  		?>
			  		<div class="dub_select_image <?php if($data == $item[1] ){ echo "dub_select_image_selected"; } ?> ds_<?php echo $id; ?>" dsData="<?php echo $item[1]; ?>" dsID="<?php echo $id; ?>" > 

			  		<img src="<?php echo $item[0]; ?>" />

			  		</div>
			  		<?php
			  	}

			  ?>

			  <br clear="left" >
			  
			<input type='hidden' class="elem" name="<?php echo $id; ?>" id="<?php echo $id; ?>" value="<?php echo $data; ?>" />
		
		</div>
		<br clear="left" >

	</div>

	<?php
}

// DISPLAY A COLOR PICKER

function display_color($num, $data, $title, $id, $help, $placeholder){

	// Output HTML

	?>

	<div class="editSection">

		<div class="inputTitle">
			<div class="inputTitleCopy" ><?php echo $title; ?></div>
			<div class="inputTitleHelp" ><?php echo $help; ?></div>
		</div>

		<div class="inputSection ">
			<input class="inputField elem  cp-picker color-field-picker" placeholder="<?php echo $placeholder; ?>" type="text" name="<?php echo $id; ?>" id="<?php echo $id; ?>" value="<?php echo htmlspecialchars(stripcslashes($data)); ?>" style=" background-color: <?php echo htmlspecialchars(stripcslashes($data)); ?>;" >
		</div>
		<br clear="left" >

	</div>

	<?php
}

// DISPLAY A COLOR PICKER
function display_date($num, $data, $title, $id, $help, $placholder){

	// Output HTML

	?>

	<div class="editSection">

		<div class="inputTitle">
			<div class="inputTitleCopy" ><?php echo $title; ?></div>
			<div class="inputTitleHelp" ><?php echo $help; ?></div>
		</div>

		<div class="inputSection ">
			<input class="inputField elem dp-date date-field-picker" placeholder="<?php echo $placeholder; ?>" type="text" name="<?php echo $id; ?>" id="<?php echo $id; ?>" value="<?php echo htmlspecialchars(stripcslashes($data)); ?>" >
		</div>
		<br clear="left" >

	</div>

	<?php
}

// DISPLAY A COLOR PICKER
function display_time($num, $data, $title, $id, $help, $placholder){

	// Output HTML

	?>

	<div class="editSection">

		<div class="inputTitle">
			<div class="inputTitleCopy" ><?php echo $title; ?></div>
			<div class="inputTitleHelp" ><?php echo $help; ?></div>
		</div>

		<div class="inputSection ">
			<input class="inputField elem dp-time time-field-picker" placeholder="<?php echo $placeholder; ?>" type="text" name="<?php echo $id; ?>" id="<?php echo $id; ?>" value="<?php echo htmlspecialchars(stripcslashes($data)); ?>" >
		</div>
		<br clear="left" >

	</div>

	<?php
}

// DISPLAY EDIT TOGLE
function display_edit_toggle($icon, $title, $ID){
	?>
	<div class="editableSectionHeading" editSection="<?php echo $ID; ?>" >

		<div class="editableSectionTitle">
			<i class="icon-<?php echo $icon; ?>"></i>
			<?php echo $title; ?>
		</div>

		<div class="editableSectionToggle">
			<i class="toggleIcon  icon-chevron-down "></i>
		</div>

		<br clear="all" />

	</div>
	<?php
}

// Display Info Block
function display_info($title, $info){
	?>
	<div class="editSection infoSection">
		<h4><i class="icon-question-sign"></i> <?php echo $title; ?></h4>
		<p><?php echo $info; ?></p>
	</div>
	<?php
}

// DISPLAY EDIT TOGLE
function display_tutorial($title, $url){
	?>
	<div class="editableSectionHeading-help">

		<div class="editableSectionTitle">
			<i class="icon-question-sign"></i>
			<?php echo $title; ?>
		</div>

		<div class="editableSectionToggle">
			<a href="<?php echo $url; ?>" target="_blank" class="viewTutorial" ><i class="icon-play-sign"></i>  Watch Tutorial Video</a>
		</div>

		<br clear="all" />

	</div>
	<?php
}

?>