<?php
/*
Plugin Name: Webinar Express
Description: WebinarExpress is a premium webinar solution that allows you to create, run and manage webinars.  Build and fully customize, professional webinar registration, confirmation, live webinar and replay pages with ease..
Version: 1.2
Author: Mark Thompson, Anthony Devine, and Dylan Jones
*/

// Activation Here:
register_activation_hook(__FILE__, 'webinarexpress_installer');
include("inc/activation.php");

// AJAX Callbacks:
include("inc/callback.php");

// Image Uploader:
include("inc/image.php");

// Menu Here:
include("inc/menu.php");

// Dashboard:
include("UI/index.php");

// Page Link:
include("inc/page_link.php");

// Extras
include("inc/extra_functions.php");

// Updates
require_once('wp-updates-plugin.php');
new WPUpdatesPluginUpdater( 'http://wp-updates.com/api/1/plugin', 162, plugin_basename(__FILE__) );

?>