<?php

// Create Campaign
add_action('wp_ajax_webinarexpress_create', 'webinarexpress_create_callback');
function webinarexpress_create_callback() {
	
	// WP DB Include
	global $wpdb;
	$table_db_name = $wpdb->prefix . "webinarexpress";

	$clone = $_POST['cloneapp'];
	
	// Save DB Info - Name & Created Date
	$wpdb->insert($table_db_name, 
	array( 
	 'appname' => stripcslashes($_POST['appname']),
	 'camtype' => stripcslashes($_POST['camtype']),
	 'created' => date('F j, Y')
	));
	
	// Return The ID Of Campaign Created
	$campaignID = $wpdb->insert_id;

	$getID = $wpdb->insert_id;

	// CREATE A CORRASPONDING POST ::
	$my_post = array(
	  'post_title'    => wp_strip_all_tags( $_POST['appname'] ),
	  'post_type'     => 'page',
	  'post_content'  => 'NOT USED -- REPLACED WITH WEBINAR EXPRESS CAMPAIGN CONTENT',
	  'post_status'   => 'publish'
	);

	// Insert the post into the database
	$getPostID = wp_insert_post( $my_post );
	$getPostID2 = $wpdb->insert_id;

	// Add postID to db:
	$wpdb->update($table_db_name, array( 'postID' => $getPostID ), array( 'id' => $campaignID ));

	// Set Meta Info so it links this page with the bonus page::
	update_post_meta( $getPostID, 'webinarexpressx_meta_box_select', esc_attr($campaignID) );

	echo $campaignID;

	add_option('webinarexpress_campaign_'. $campaignID, "");

	// Create Option PRE-DONE CONTENT FOR THE USER
	// *****************************************************************************
	// Parse info like Data
	$fullDate = $_POST["webinar_date"];
	$fullDate = explode("-", $fullDate);
	$setDate = $fullDate[2] ."/". $fullDate[0] . "/". $fullDate[1];

	$getDate = date('l jS \of F Y', strtotime($setDate));
	$getDate22 = $getDate; 
	$getDate = explode(" ", $getDate);

	$getDay = str_replace("th", "", $getDate[1]);
	$getDay = str_replace("rd", "", $getDay);
	$getDay = str_replace("st", "", $getDay);

	$setTime = $_POST["webinar_start_time"];
	$getTime = date("h:i:s A", strtotime($setTime));

	$getTime = explode(" ", $getTime);
	$getHour = explode(":", $getTime[0]);
	$getHour2 = $getHour[0];
	// Check for 0 in front of time..
	if( $getHour2[0] == "0" ){
		$getHour2 = str_replace("0", "", $getHour2);
	}

	$timezone = "EST Time";
	if( $_POST["webinar_timezone"] != "" ){ 
		$timezone = $_POST["webinar_timezone"];
	}

	$host = "Your Name";
	if( $_POST["webinar_host"]  != "" ){
		$host = $_POST["webinar_host"];
	}

	$desc = "How We Crush It With Webinars";
	if( $_POST["webinar_desc"]  != "" ){
		$desc = $_POST["webinar_desc"];
	}

	$orgdate = "06-06-2014";
	if($_POST["webinar_date"] != ""){
		$orgdate = $_POST["webinar_date"];
	}

	$time = "14:30";
	if( $_POST["webinar_start_time"] != ""){
		$time = $_POST["webinar_start_time"];
	}

	$linkToLive = get_permalink($getPostID);

	$emailSetup = "Dear {NAME},\n

This message is to let you know all the details for the Webinar you signed up for...\n

Date:
Join us on $getDate22
At $getHour2:$getHour[1] $getTime[1] $timezone\n

Webinar Topic:
$desc\n

Webinar Hosts:
$host\n

# Click here to join:
$linkToLive?live\n

# You will be connected to audio uding your computer's microphone and speakers.  A headset is recommended.\n

System Requirements:\n

PC-based attendees
Required: Windows® 7, Vista, XP or 2003 Server\n

Mac-based attendees
Required: Mac OS® X 10.6 or newer\n

Mobile attendees
Required: iPhone®, iPad®, Android™ phone or Android tablet\n";

	// Data For New Webinar
	$dataArray = array(
		"webinar_desc" => $desc,
		"webinar_host" => $host,
		"webinar_date" => $orgdate,
		"webinar_start_time" => $time,
		"webinar_end_time" => $time,
		// Setting Up For Landing Page
		"lp_main_headline" => '<h4 class="subheader">Introducing This Exclusive Webinar From '. $host .'</h4><h2 style="margin-top: -10px; margin-bottom: 40px;">'.$desc.'</h2>',
		"lp_webinar_month" => $getDate[3],
		"lp_webinar_day" => $getDay,
		"lp_webinar_headline" => $getDate[0] ." The ". $getDate[1],
		"lp_webinar_subheadline" => "At ". $getHour2 .":". $getHour[1] ." ". $getTime[1] ." " . $timezone,
		// Headline For Countdown Copy
		"cd_headline" => '<h4 class="subheader">You Are Viewing The Webinar That Is Not Yet Live - <b>We Go Live Soon!</b></h4><h2 style="margin-top: -10px; margin-bottom: 30px;">Webinar Starts: '. $getDate22 .'</h2>',
		// EMAIL Copy
		"email_signup_sbj" => "[Reminder] Your Webinar Starts: ". $getDate22,
		"email_signup_body" => $emailSetup,
		"lp_banner_bg_style" => "hide",
		"webinar_banner_bg_style" => "hide"
	);
	$obj = array_to_object_we($dataArray);

	// Clone
	if($clone == "0"){
		// no clone - new
		update_option('webinarexpress_campaign_'. $campaignID, $obj);
	} else {
		// get option from parent campaign
		$cloneParent = get_option('webinarexpress_campaign_'. $clone);
		update_option('webinarexpress_campaign_'. $campaignID, $cloneParent);
		// Append New Stuff
		$clonedResults = get_option('webinarexpress_campaign_'. $campaignID);
		// ---- CLONED ITEMS::
		$clonedResults->webinar_desc = $dataArray["webinar_desc"];
		$clonedResults->webinar_host = $dataArray["webinar_host"];
		$clonedResults->webinar_date = $dataArray["webinar_date"];
		$clonedResults->webinar_start_time = $dataArray["webinar_start_time"];
		$clonedResults->webinar_end_time = $dataArray["webinar_end_time"];
		$clonedResults->lp_main_headline = $dataArray["lp_main_headline"];
		$clonedResults->lp_webinar_month = $dataArray["lp_webinar_month"];
		$clonedResults->lp_webinar_day = $dataArray["lp_webinar_day"];
		$clonedResults->lp_webinar_headline = $dataArray["lp_webinar_headline"];
		$clonedResults->lp_webinar_subheadline = $dataArray["lp_webinar_subheadline"];
		$clonedResults->cd_headline = $dataArray["cd_headline"];
		$clonedResults->lp_webinar_subheadline = $dataArray["lp_webinar_subheadline"];
		$clonedResults->email_signup_sbj = $dataArray["email_signup_sbj"];
		$clonedResults->email_signup_body = $dataArray["email_signup_body"];
		// Update Cloned Version
		update_option('webinarexpress_campaign_'. $campaignID, $clonedResults);
	}

	// *****************************************************************************

	die();
	
}

// Edit Campaign
add_action('wp_ajax_webinarexpress_edit', 'webinarexpress_edit_callback');
function webinarexpress_edit_callback() {
	
	// Get ID & Post Data Array
	$id = $_POST['id'];
	$data = $_POST;

	// Convert Array To Object
	$object = array_to_object_we($data);

	// Update Option Field:
	update_option('webinarexpress_campaign_'. $id, $object);
	
}

// ARRAY TO OBJECT FUNCTION::
function array_to_object_we($array) {
  $obj = new stdClass;
  foreach($array as $k => $v) {
     if(is_array($v)) {
        $obj->{$k} = array_to_object($v); //RECURSION
     } else {
        $obj->{$k} = $v;
     }
  }
  return $obj;
}

// ADD NEW LEAD
add_action('wp_ajax_nopriv_webinarexpress_add_lead', 'webinarexpress_add_lead_callback');
add_action('wp_ajax_webinarexpress_add_lead', 'webinarexpress_add_lead_callback');
function webinarexpress_add_lead_callback() {
		
	global $wpdb;	
	$table_db_name = $wpdb->prefix . "webinarexpress_leads";

	$wpdb->insert($table_db_name, 
	array(
		 'app_id' => $_POST['id'],
		 'name' => $_POST['name'],
		 'email' => $_POST['email'],
		 'phone' => $_POST['phone'],
		 'skype' => $_POST['skype'],
		 'created' => date('F j, Y')
	));

	// ADD TO MAILING LIST

	include("sendgrid.php");

	$results = get_option('webinarexpress_campaign_'. $_POST['id'] );	

	$sg_user = $results->gs_username; 
	$sg_api_key = $results->gs_password;
	$sendgrid = new SG_NewsletterAPI($sg_user, $sg_api_key);

	// ADD NEW EMAIL TO LIST
	$data = array(
		'email'	=>	$_POST['email'],
		'name'	=>	$_POST['name'],
	);

	$list = "WEBINAR-LIST-" . $_POST['id'];
	$sendgrid->newsletter_lists_email_add($list, $data);

	// SEND EMAIL
	require_once "web.php";
	$sendgridweb = new sendgridWeb($sg_user, $sg_api_key); 

	$subjectLine = $results->email_signup_sbj;

	$table_db_name = $wpdb->prefix . "webinarexpress";
	$ID = $_POST['id'];
	$data2 = $wpdb->get_results("SELECT * FROM $table_db_name WHERE id = '$ID'", OBJECT);
	foreach($data2 as $data2) {}

	$emailBody = $results->email_signup_body;
	$emailBody = str_replace("{NAME}", $_POST['name'], $emailBody);
	$emailBody = str_replace("{LINK}", get_permalink( $data2->postID ) , $emailBody);

	$sendgridweb->mail_send( $to = $_POST['email'] , $toname = $_POST['name'] , $xsmtpapi = '' , $subject = $subjectLine ,  $html = "", $text = $emailBody , $from = get_settings('admin_email') , $bcc ='' , $fromname = $results->webinar_host , $replyto = '' , $date='' , $files='' , $headers=''); 
	
}

function webinarexpress_add_lead_fb($ID, $NAME, $EMAIL) {
		
	global $wpdb;	
	$table_db_name = $wpdb->prefix . "webinarexpress_leads";

	$wpdb->insert($table_db_name, 
	array(
		 'app_id' => $ID,
		 'name' => $NAME,
		 'email' => $EMAIL,
		 'created' => date('F j, Y')
	));

	// ADD TO MAILING LIST

	include("sendgrid.php");

	$results = get_option('webinarexpress_campaign_'. $ID );	

	$sg_user = $results->gs_username; 
	$sg_api_key = $results->gs_password;
	$sendgrid = new SG_NewsletterAPI($sg_user, $sg_api_key);

	// ADD NEW EMAIL TO LIST
	$data = array(
		'email'	=>	$EMAIL,
		'name'	=>	$NAME,
	);

	$list = "WEBINAR-LIST-" . $ID;
	$sendgrid->newsletter_lists_email_add($list, $data);

	// SEND EMAIL
	require_once "web.php";
	$sendgridweb = new sendgridWeb($sg_user, $sg_api_key); 

	$subjectLine = $results->email_signup_sbj;

	$table_db_name = $wpdb->prefix . "webinarexpress";
	$data2 = $wpdb->get_results("SELECT * FROM $table_db_name WHERE id = '$ID'", OBJECT);
	foreach($data2 as $data2) {}

	$emailBody = $results->email_signup_body;
	$emailBody = str_replace("{NAME}", $NAME, $emailBody);
	$emailBody = str_replace("{LINK}", get_permalink( $data2->postID ) , $emailBody);

	$sendgridweb->mail_send( $to = $EMAIL , $toname = $NAME , $xsmtpapi = '' , $subject = $subjectLine ,  $html = "", $text = $emailBody , $from = get_settings('admin_email') , $bcc ='' , $fromname = $results->webinar_host , $replyto = '' , $date='' , $files='' , $headers=''); 
	
}

// Track View - LANDING PAGE
add_action('wp_ajax_nopriv_webinarexpress_track_lp_view', 'webinarexpress_track_lp_view_callback');
add_action('wp_ajax_webinarexpress_track_lp_view', 'webinarexpress_track_lp_view_callback');
function webinarexpress_track_lp_view_callback() {
		
	// Campaign ID
	$ID = $_POST['id'];
		
	global $wpdb;	
	$table_db_name = $wpdb->prefix . "webinarexpress";
	$findstat = $wpdb->get_results("SELECT * FROM $table_db_name WHERE id = '$ID'", OBJECT);
	
	foreach($findstat as $findstat){}
	
	$wpdb->update($table_db_name, 
	array( 
	 'total_views' => $findstat->total_views + 1
	),
	  array( 'id' => $ID )
	);
	
}

// ADD NEW QUESTION
add_action('wp_ajax_nopriv_webinarexpress_submit_question', 'webinarexpress_submit_question_callback');
add_action('wp_ajax_webinarexpress_submit_question', 'webinarexpress_submit_question_callback');
function webinarexpress_submit_question_callback() {
		
	global $wpdb;	
	$table_db_name = $wpdb->prefix . "webinarexpress_questions";

	$wpdb->insert($table_db_name, 
	array(
		 'app_id' => $_POST['id'],
		 'question' => $_POST['question'],
		 'status' => 'live',
		 'created' => date('F j, Y')
	));
	
}

// ADD NEW QUESTION
add_action('wp_ajax_nopriv_webinarexpress_update_question_status', 'webinarexpress_update_question_status_callback');
add_action('wp_ajax_webinarexpress_update_question_status', 'webinarexpress_update_question_status_callback');
function webinarexpress_update_question_status_callback() {
		
	global $wpdb;	
	$table_db_name = $wpdb->prefix . "webinarexpress_questions";
	$ID = $_POST['id'];
	$findstat = $wpdb->get_results("SELECT * FROM $table_db_name WHERE id = '$ID'", OBJECT);
	
	foreach($findstat as $findstat){}
	
	$wpdb->update($table_db_name, 
	array( 
	 'status' => 'read'
	),
	  array( 'id' => $ID )
	);
	
}

// DELETE QUESTION
add_action('wp_ajax_nopriv_webinarexpress_delete_question', 'webinarexpress_delete_question_callback');
add_action('wp_ajax_webinarexpress_delete_question', 'webinarexpress_delete_question_callback');
function webinarexpress_delete_question_callback() {
		
	global $wpdb;	
	$table_db_name = $wpdb->prefix . "webinarexpress_questions";
	$ID = $_POST['id'];
	$wpdb->query("DELETE FROM $table_db_name WHERE id = '$ID'");
	
}

// DELETE LEAD
add_action('wp_ajax_nopriv_webinarexpress_delete_lead', 'webinarexpress_delete_lead_callback');
add_action('wp_ajax_webinarexpress_delete_lead', 'webinarexpress_delete_lead_callback');
function webinarexpress_delete_lead_callback() {
		
	global $wpdb;	
	$table_db_name = $wpdb->prefix . "webinarexpress_leads";
	$ID = $_POST['id'];
	$wpdb->query("DELETE FROM $table_db_name WHERE id = '$ID'");
	
}

// TRACK VIEW
add_action('wp_ajax_nopriv_webinarexpress_track_view', 'webinarexpress_track_view_callback');
add_action('wp_ajax_webinarexpress_track_view', 'webinarexpress_track_view_callback');
function webinarexpress_track_view_callback() {
		
	// Campaign ID
	$ID = $_POST['id'];
	$PAGE = $_POST['page'];
		
	global $wpdb;	
	$table_db_name = $wpdb->prefix . "webinarexpress";
	$findstat = $wpdb->get_results("SELECT * FROM $table_db_name WHERE id = '$ID'", OBJECT);
	
	foreach($findstat as $findstat){}
	
	if($PAGE == "lp"){
		// LANDING PAGE
		$wpdb->update($table_db_name, 
		array( 
		 'total_lp' => $findstat->total_lp + 1
		),
		  array( 'id' => $ID )
		);

	} else if($PAGE == "ty"){
		// THANK YOU PAGE
		$wpdb->update($table_db_name, 
		array( 
		 'total_ty' => $findstat->total_ty + 1
		),
		  array( 'id' => $ID )
		);
	} else if($PAGE == "live"){
		// LIVE
		$wpdb->update($table_db_name, 
		array( 
		 'total_live' => $findstat->total_live + 1
		),
		  array( 'id' => $ID )
		);
	} else if($PAGE == "replay"){
		// REPLAY
		$wpdb->update($table_db_name, 
		array( 
		 'total_replay' => $findstat->total_replay + 1
		),
		  array( 'id' => $ID )
		);
	}
	
}

// SENDGRID - SET EMAILS
add_action('wp_ajax_nopriv_webinarexpress_set_sg', 'webinarexpress_set_sg_callback');
add_action('wp_ajax_webinarexpress_set_sg', 'webinarexpress_set_sg_callback');
function webinarexpress_set_sg_callback() {

	// This Will Setup SG -- The Email List, ETC...
// 	require_once "sendgrid.php";
// 	$sg_user = $_POST['username']; 
// 	$sg_api_key = $_POST['password'];

// 	//Creates a new SendGrid Newsletter API object to make calls with
// 	$sendgrid = new SG_NewsletterAPI($sg_user,$sg_api_key);

// 	// Create NEW List For Webinar Campaign :: WEBINAR1-LIST
// 	$campaignName = $_POST['name'];
// 	$campaignName = str_replace(" ", "", $campaignName);

// 	$list = "WEBINAR-LIST-" . $_POST['id'];
// 	$sendgrid->newsletter_lists_add($list, $name = '');

// 	// ADD TEST EMAIL TO LIST (TEST)
// 	$data = array(
// 		'email'	=>	$_POST['admin'],
// 		'name'	=>	'John Doe',
// 	);
// 	$sendgrid->newsletter_lists_email_add($list , $data);

// 	// CREATE 3 EMAIL REMINDERS

// 	// --- EMAIL #1 ------
// 	$text = "Dear [name],

// This message is to remind you that the following Webinar will take place tomorrow at: {%DATE%}.

// {%DESC%}

// 1.  Click here to join:
// {%LINK%}

// 2.  You will be connected to audio uding your computer's microphone and speakers.  A headset is recommended.

// System Requirements:

// PC-based attendees
// Required: Windows® 7, Vista, XP or 2003 Server

// Mac-based attendees
// Required: Mac OS® X 10.6 or newer

// Mobile attendees
// Required: iPhone®, iPad®, Android™ phone or Android tablet";

// 	$html = $text;

// 	$subject = "[Reminder] Your Webinar Starts Tomorrow";

// 	$name1 = $campaignName . " - 1 Day Before";
// 	$sendgrid->newsletter_add($identity = 'WebinarExpress', $name1, $subject , $text , $html);

// 	// --- EMAIL #2 ------
// 	$text = "Dear [name],

// This message is to remind you that the following Webinar is starting in one hour...

// {%DESC%}

// 1.  Click here to join:
// {%LINK%}

// 2.  You will be connected to audio uding your computer's microphone and speakers.  A headset is recommended.

// System Requirements:

// PC-based attendees
// Required: Windows® 7, Vista, XP or 2003 Server

// Mac-based attendees
// Required: Mac OS® X 10.6 or newer

// Mobile attendees
// Required: iPhone®, iPad®, Android™ phone or Android tablet";

// 	$html = $text;
// 	$subject = "[Reminder] Your Webinar Starts In 1 Hour";

// 	$name2 = $campaignName . " - 1 Hour Before";
// 	$sendgrid->newsletter_add($identity = 'WebinarExpress', $name2, $subject , $text , $html);

// 	// --- EMAIL #3 ------
// 	$text = "Dear [name],

// This message is to remind you that the following Webinar is live...

// {%DESC%}

// 1.  Click here to join:
// {%LINK%}

// 2.  You will be connected to audio uding your computer's microphone and speakers.  A headset is recommended.

// System Requirements:

// PC-based attendees
// Required: Windows® 7, Vista, XP or 2003 Server

// Mac-based attendees
// Required: Mac OS® X 10.6 or newer

// Mobile attendees
// Required: iPhone®, iPad®, Android™ phone or Android tablet";

// 	$html = $text;
// 	$subject = "[Reminder] Your Webinar Is Starting Now!";

// 	$name3 = $campaignName . " - Webinar Is Live";
// 	$sendgrid->newsletter_add($identity = 'WebinarExpress', $name3, $subject , $text , $html);

// 	// ADD LISTS TO NEWSLETTER
// 	$sendgrid->newsletter_recipients_add($name1, $list);
// 	$sendgrid->newsletter_recipients_add($name2, $list);
// 	$sendgrid->newsletter_recipients_add($name3, $list);

}

?>