<?php

	// Get Results
	$id = $client;
	$results = get_option('webinarexpress_campaign_'. $id);

	// Get DB Info
	global $wpdb;
	$table_db_name = $wpdb->prefix . $pluginName;
	$ID = $client;
	$data = $wpdb->get_results("SELECT * FROM $table_db_name WHERE id = '$ID'", OBJECT);
	foreach($data as $data) {}

	$root_url = "http://www.google.com/calendar/event?action=";

	// Webinar Info
	$title = $results->webinar_desc ? $results->webinar_desc : "Webinar Title";
	$desc = $results->webinar_desc ? $results->webinar_desc : "Info for what you will learn on the webinar...";
	$host = $results->webinar_host ? $results->webinar_host : "Webinar Host";
	$url = "Not Set";

	if( $results->ty_webinar_url == "custom" ){ 
		$url = $results->ty_werbinar_custom_url; 
	} else { 
		$url = get_permalink( $data->postID ) . "?live"; 
	}

	// Get Webinar Date
	$expire = $results->webinar_date;
    $exDate = explode("-", $expire);

    $exYear = $exDate[2];
    $year = $exYear ? $exYear : '2018';

    $exMonth = $exDate[0];
    $month = $exMonth ? $exMonth : '00';

    $exDay = $exDate[1];
    $day = $exDay ? $exDay : '00';

    // Get Time START
    $time = $results->webinar_start_time;
    $exTime = explode(":", $time);

    $exHr = $exTime[0];
    $hour = $exHr ? $exHr : '00';

    $exMin = $exTime[1];
    $min = $exMin ? $exMin : '00';

    $exSec = $exTime[2];
    $sec = $exSec ? $exSec : '00';

    // Get Time END
    $time = $results->webinar_end_time;
    $exTime = explode(":", $time);

    $exHr = $exTime[0];
    $hour2 = $exHr ? $exHr : '00';

    $exMin = $exTime[1];
    $min2 = $exMin ? $exMin : '00';

    $exSec = $exTime[2];
    $sec2 = $exSec ? $exSec : '00';

	// Build Final URL
	$build_url = "http://www.google.com/calendar/event?action=TEMPLATE&text=".$title."&dates=".$year."".$month."".$day."T".setGTimeFormat($hour)."".$min."".$sec."Z/".$year."".$month."".$day."T".setGTimeFormat($hour2)."".$min2."".$sec2."Z&details=".$desc."&location=".$url."&trp=true&sprop=".$host."&sprop=name:".$url."";

	header("Content-type: application/text");
	header("Content-Disposition: attachment; filename=webinar-date.ics");
	header("Pragma: no-cache");
	header("Expires: 0");

	echo   
"BEGIN:VCALENDAR
BEGIN:VEVENT
DTSTART:".$year."".$month."".$day."T".setGTimeFormat($hour)."".$min."".$sec."Z
DTEND:".$year."".$month."".$day."T".setGTimeFormat($hour2)."".$min2."".$sec2."Z
SUMMARY:".$title."
DESCRIPTION:".$desc."
END:VEVENT
END:VCALENDAR";

	function setGTimeFormat($time){
		// Setting the correct time for Google/iCal
		if( $time == "00" ){ return "04"; } else
		if( $time == "01" ){ return "05"; } else
		if( $time == "02" ){ return "06"; } else
		if( $time == "03" ){ return "07"; } else
		if( $time == "04" ){ return "08"; } else
		if( $time == "05" ){ return "09"; } else
		if( $time == "06" ){ return "10"; } else
		if( $time == "07" ){ return "11"; } else
		if( $time == "08" ){ return "12"; } else
		if( $time == "09" ){ return "13"; } else
		if( $time == "10" ){ return "14"; } else
		if( $time == "11" ){ return "15"; } else
		if( $time == "12" ){ return "16"; } else
		if( $time == "13" ){ return "17"; } else
		if( $time == "14" ){ return "18"; } else
		if( $time == "15" ){ return "19"; } else
		if( $time == "16" ){ return "20"; } else
		if( $time == "17" ){ return "21"; } else
		if( $time == "18" ){ return "22"; } else
		if( $time == "19" ){ return "23"; } else
		if( $time == "20" ){ return "00"; } else
		if( $time == "21" ){ return "01"; } else
		if( $time == "22" ){ return "02"; } else
		if( $time == "23" ){ return "03"; }
	}

?>