<?php
	
	// universal variables
	$full_path = get_site_url();
	$assets = $full_path . "/wp-content/plugins/webinarexpress/inc/lp/";

	// Get DB Info
	global $wpdb;
	$table_db_name = $wpdb->prefix . $pluginName;
	$ID = $client;
	$data = $wpdb->get_results("SELECT * FROM $table_db_name WHERE id = '$ID'", OBJECT);
	foreach($data as $data) {}
  	
  	$pluginName = "webinarexpress";
  	$sitePath = site_url() . "/wp-content/plugins/". $pluginName;

	// Get Results
	$id = $client;
	$results = get_option('webinarexpress_campaign_'. $id);

	include("fbaccess.php");

?>
<!DOCTYPE html>
<html>
<head>
	
	<!-- META INFO -->
	<title><?php display($results->ty_share_title, "Amazing Webinar"); ?></title>
	<meta name="description" content="<?php display($results->ty_share_desc, "Join this amazing webinar May the 4th, and discover industry trade secrets!"); ?>">
	<!-- SOCIAL INFO -->
	<meta property="og:title" content="<?php display($results->ty_share_title, "Amazing Webinar"); ?>"/>
	<meta property="og:image" content="<?php display($results->ty_share_image, ""); ?>"/>

	<link href="<?php echo $assets; ?>css/normalize.css" rel="stylesheet" type="text/css" />
	<link href="<?php echo $assets; ?>css/foundation.css" rel="stylesheet" type="text/css" />
	<link href="<?php echo $assets; ?>css/main.css" rel="stylesheet" type="text/css" />

	<link href="<?php echo $assets; ?>css/font-awesome.min.css" rel="stylesheet" type="text/css" />
	<link href="<?php echo $assets; ?>css/font-awesome-ie7.min.css" rel="stylesheet" type="text/css" />

	<?php include("css/lp_css.php"); ?>

	<!-- CUSTOM JS -->
	<script type="text/javascript">
		<?php display($results->custom_lp_js, ""); ?>
	</script>
	<!-- CUSTOM CSS -->
	<style type="text/css">
		<?php display($results->custom_lp_css, ""); ?>
	</style>

	<!-- FB CONNECT AREA -->
	<?php if(!$user) {} else { 
		// FB CONNECTED --
		if (isset($_GET['code'])) {
			// JUST CONNECTED - STORE LEAD - REDIRECT TO AR OR THANK YOU PAGE
			webinarexpress_add_lead_fb($ID, $user_info['name'], $user_info['email']);
			if( $results->ar_url == "" ){
				// ASSUME AR NOT SET - NOT POST URL
				// JS REDIRECT TO TY PAGE
				?>
				<script type="text/javascript">
					window.location.replace("<?php echo get_permalink($data->postID); ?>?confirmed");
				</script>
				<?php
			} else {
				// ASSUME AR IS SETUP - THEY HAVE A POST URL
				// JS REDIRECT TO AR SUBMIT
				?>
				<script type="text/javascript">
					window.location.replace("<?php echo $assets.'arsubmit.php?id='.$ID.'&n='.$user_info['name'].'&e='. $user_info['email']; ?>");
				</script>
				<?php
			}

		    
		}
	}
	?>

</head>
<body>

<!-- TOP AREA -->
<div class="topArea">
	<div class="bannerTop">
		<?php if( $results->lp_banner_image == "" ){ 
			// echo "NONE"; 
		} else { 
			echo "<img src='$results->lp_banner_image' />"; 
		} ?>
	</div>
</div>

<!-- Main Area -->
<div class="mainWrapper">

	<!-- HEADLINE AREA -->
	<div class="headlineArea" style="display: <?php if( $results->lp_main_headline == "" ){ echo "none"; } else { echo "block"; } ?>;" >
		<?php 
			display(
				$results->lp_main_headline, ''
			); 
		?>
	</div>

	<!-- SALES AREA -->
	<div class="salesWrapper">

		<!-- LEFT SIDE -->
		<div class="ctaLeft">

			<div class="videoBlock">

				<div class="ctaArea">
					<?php
					if( $results->lp_cta_type == "" || $results->lp_cta_type == "video" ){
						display(
							$results->lp_cta_video_code, 
							'<img src="'.$assets.'images/novideo.png" />'
						);
					} else {
						echo "<img src='";
						display($results->lp_cta_image, $assets.'images/noctaimage.png');
						echo "' height='281' width='500' />";
					}
					?>
				</div>

			</div>

			<div class="innerHeadline addedArrow">
				<span>
				<?php 
					display(
						$results->lp_sales_headline, 
						'What You Will Learn On The Webinar...'
					); 
				?>
				</span>
			</div>

			<div class="innerCopy">
				
				<?php 
					display(
						$results->lp_sales_copy, 
						'<p>Your Amazing sales copy for your webinar would show up here...</p>'
					); 
				?>

			</div>

		</div>

		<!-- RIGHT SIDE -->
		<div class="ctaRight">
			
			<!-- OPT HEADLINE -->
			<div class="optinHeadline" >
				<?php 
					display(
						$results->lp_optin_headline, 
						'<span class="optinHeadline1" >RESERVE YOUR SPOT!</span>
						 <span class="optinHeadline2" >WEBINAR REGISTRATION</span>'
					); 
				?>
			</div>

			<!-- EVENT DATE -->
			<div class="eventDate">

				<div class="dateIcon">
					<div class="dateMonth" ><?php display($results->lp_webinar_month, "MAY"); ?></div>
					<div class="dateDay" ><?php display($results->lp_webinar_day, "23"); ?></div>
				</div>
				
				<div class="dateInfo">
					<div class="dateHeadline"><?php display($results->lp_webinar_headline, "Thursday 23rd"); ?></div>
					<div class="dateSubHeadline"><?php display($results->lp_webinar_subheadline, "at 8pm Eastern, 5pm Pacific"); ?></div>
				</div>

				<br clear="left" />
			</div>

			<!-- OPTIN FORM -->
			<div class="optinFormArea">

				<?php
				if( $results->lp_fb_button == "" || $results->lp_fb_button == "hide" ){} else {
				?>
				<a href="<?php if($user){ echo "?confirmed"; } else { echo $loginUrl; } ?>" id="optinBTNFB" class="button"><?php display($results->lp_fb_copy, "Register With Facebook"); ?></a>
				<div class="optOR">OR</div>
				<?php
				}	
				?>

				<?php
				if( $results->lp_optin_name_setting == "" || $results->lp_optin_name_setting == "full" ){
					?>
					<input type="text" class="radius fieldRadius" id="optName" placeholder="<?php display($results->lp_optin_name, "Enter Your Full Name..."); ?>" >
					<?php
				} else {
					?>
					<input type="text" class="radius fieldRadius optNamer" id="optFName" placeholder="<?php display($results->lp_optin_fname, "Enter Your First Name..."); ?>" >
					<input type="text" class="radius fieldRadius optNamer" id="optLName" placeholder="<?php display($results->lp_optin_lname, "Enter Your Last Name..."); ?>" >
					<input type="hidden" id="optName" value="#firstlast#" >	
					<?php
				}
				?>

				<input type="text" class="radius fieldRadius" id="optEmail" placeholder="<?php display($results->lp_optin_email, "Enter Your Best Email..."); ?>" >

				<?php
				if( $results->lp_optin_phone_setting == "" || $results->lp_optin_phone_setting == "hide" ){
					// don't show phone field
				} else {
					?>
					<input type="text" class="radius fieldRadius" id="optPhone" placeholder="<?php display($results->lp_optin_phone, "Enter Your Phone Number..."); ?>" >
					<?php
				}
				?>

				<?php
				if( $results->lp_optin_skype_setting == "" || $results->lp_optin_skype_setting == "hide" ){
					// don't show skype field
				} else {
					?>
					<input type="text" class="radius fieldRadius" id="optSkype" placeholder="<?php display($results->lp_optin_skype, "Enter Your Skype Username..."); ?>" >
					<?php
				}
				?>

				<?php
				if( $results->lp_optin_button == "" || $results->lp_optin_button == "color" ){
					?>
					<a href="#" id="optinBTN" class="large button"><?php display($results->lp_optin_btn, "Register For The Webinar"); ?></a>
					<?php
				} else {
					?>
					<a href="#" id="optinBTN" ><img src="<?php display($results->lp_optin_btn_image, ""); ?>" width="327" border="0" /></a>
					<?php
				}
				?>
				

				<div class="spam">
					<?php display($results->lp_optin_spam, "* we will not spam, rent, sell, or lease your information *"); ?>
				</div>

			</div>

		</div>

		<br clear="left" />

	</div>

</div>

<!-- BOTTOM AREA -->
<div class="bottomArea">
	<div><?php display( $results->footer_copy, "All Rights Reserved - Copyright @ 2013" ); ?></div>
	<?php if($results->footer_branding == "show" || $results->footer_branding == "" ){ ?>
	<div style="margin-top: 15px;" ><a href="<?php display( $results->footer_branding_url, "http://webinarexpress.com/" ); ?>" target="_blank" ><b><?php display( $results->footer_branding_copy, "Powered By WebinarExpress" ); ?></b></a></div>
	<?php } ?>
</div>

<!-- AR OPTIN INTEGRATION -->
<div class="arintegration" style="display:none;" >

<form action="<?php echo $results->ar_url; ?>" id="AR-INTEGRATION" method="POST" >

	<?php echo stripcslashes($results->ar_hidden); ?>

	<?php
	if( $results->lp_optin_name_setting == "" || $results->lp_optin_name_setting == "full" ){
	?>
		<input type="text" name="<?php echo $results->ar_name; ?>" id="ar-name" value="" />
	<?php
	} else {
	?>
		<input type="text" name="<?php echo $results->ar_name; ?>" id="ar-name" value="" />
		<input type="text" name="<?php echo $results->ar_lname; ?>" id="ar-lname" value="" />	
	<?php	
	}
	?>

	
	<input type="text" name="<?php echo $results->ar_email; ?>" id="ar-email" value="" />

	<input type="text" name="<?php echo $results->ar_phone; ?>" id="ar-phone" value="" />

	<input type="text" name="<?php echo $results->ar_skype; ?>" id="ar-skype" value="" />

</form>

</div>

<!-- JS AREA -->
<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.7/jquery.min.js"></script>

<script type="text/javascript">
$(document).ready(function() {
	// AJAX FOR WP
	var ajaxurl = '<?php echo admin_url('admin-ajax.php'); ?>';

	// VIDEO FIXES:
	$("iframe").height(281);
	$("iframe").width(500);
	// Set video EMBED
	$("embed").height(281);
	$("embed").width(500);
	// Set video OBJECT
	$("object").height(281);
	$("object").width(500);	

	// TRACK +1 VIEW
    var data = { action: '<?php echo $pluginName; ?>_track_view', id: "<?php echo $client; ?>", page: "lp" };
    $.post( ajaxurl, data, function(results) {});

	// OPTIN - STORE LEAD
	$('#optinBTN').click(function() {
		
		// Get Info
		$fullName = $("#optName").val();

		$firstName = $("#optFName").val();
		$lastName = $("#optLName").val();

		if( $fullName == "#firstlast#" ){
			// using first & last name
			$fullName = $firstName +" "+ $lastName;
			$("#ar-name").val($firstName);
			$("#ar-lname").val($lastName);
		} else {
			// just full name
			$("#ar-name").val($fullName);
		}

		$email = $("#optEmail").val();

		$phone = $("#optPhone").val();
		$skype = $("#optSkype").val();

		// Set AR Form
		$("#ar-email").val($email);
		$("#ar-phone").val($phone);
		$("#ar-skype").val($skype);
		
		// Validation
		if( $fullName == "" ){
			
			$("#optName").addClass("errorField");
		
		} else if ( $email == "" ){
			
			// Name is good
			$("#optName").removeClass("errorField");
			$("#optName").addClass("successField");
			// no email set
			$("#optEmail").addClass("errorField");

		} else {

			// Check if email is real email
			if( validateEmail($email) ){
				// alert("Good");
				$("#optEmail").addClass("successField");

				// Store Lead - Data
				var data = { 
					action: '<?php echo $pluginName; ?>_add_lead', 
					id: "<?php echo $client; ?>",
					name: ""+$fullName+"",
					email: ""+$email+"",
					phone: ""+$phone+"",
					skype: ""+$skype+""
				};
				// Store Lead - Post
	        	$.post( ajaxurl, data, function(results) {
	        		// Lead Saved..
	        		// Check if AR is setup or not..
					$arCheck = "<?php display($results->ar_url, 'none'); ?>";

					if( $arCheck == "none" ){
						// Redirect To Thank You Page
						window.location.href = "?confirmed";
					} else {
						// Submit AR Form
						$("#AR-INTEGRATION").submit();
					}

	        	});

			} else {
				// alert("Bad");
				// Email isn't a real email
				$("#optName").removeClass("errorField");
				$("#optName").addClass("successField");
				$("#optEmail").addClass("errorField");
			}

		}
	
	  return false;
	});

			// Validate Function
			function validateEmail(email) {
			    var re = /\S+@\S+/;
			    return re.test(email);
			}

});
</script>

</body>
</html>