<div class="tabber" id="tab3" style="display: none;">

	<div class="titleBar">

		<div class="titleBarIcon">
			<!-- <i class="icon-file icon-5x"></i> -->
		</div>
		
		<div class="titleBarText">
			<h2>Edit Landing Page</h2>
			<p style="margin-bottom: 35px;" >Here you can edit & manage your webinar registration page...</p>
			<p><span class=" btn blue-btn-5" id="previews" ><a href="<?php echo get_permalink( $data->postID ); ?>" target="_blank" ><i class="icon-external-link" ></i> View Landing Page</a></span></p>
		</div>

		<br clear="left" />

	</div>

	<?php

	display_tutorial(
		"Landing Page Settings Video Tutorial:",
		"http://webinarexpress.com/members/download-training/"
	);
	
	display_edit_toggle(
		"picture",
		"Edit Banner Settings",
		"we_edit_lp_header_image"
	);

	?>

	<div id="we_edit_lp_header_image" class="we_edit_area" >
		<?php
		display_option( 
			$_GET['id'],
			$results->lp_banner_bg_style,
			"Banner Background Style", 
			"lp_banner_bg_style",
			"You can choose between a simple background color, or to have a background iamge (repeating horiztonally)",
			"Show Banner Area [show], Hide Banner Area [hide]"
		);
		?>
		<div class="lp_banner_bg_style" id="lp_banner_bg_style_show" >
			<?php
			display_color( 
				$_GET['id'],
				$results->lp_banner_bg_color,
				"Banner Background Color", 
				"lp_banner_bg_color",
				"Choose a color for the top banner area, this will fill the entire top banner area...",
				"#FFFFFF"
			);
			?>
			<?php
			display_field_image( 
				$_GET['id'],
				$results->lp_banner_bg_repeater,
				"Banner Repeating BG Image", 
				"lp_banner_bg_repeater",
				"This is the image that is repeated horiztonally in the background of the banner area... If you leave this blank, it will just show the banner BG color... <br><br><b>best results:</b> 89px high..",
				"http://yoursite.com/banner-bg.png"
			);
			?>
			<?php
			display_field_image( 
				$_GET['id'],
				$results->lp_banner_image,
				"Banner Image URL:", 
				"lp_banner_image",
				"This is the URL for the banner image you want to be shown. By defualt it is placed in the middle, perfect for a logo... <br><br><b>best results:</b> 89px high and 960px wide...",
				"http://yoursite.com/banner-image.png"
			);
			display_info(
				"Note: Banner Sizing",
				"Your banner image size can be any height, but its best at 89px high. Also, your banner repeating graphic should be the same height..."
			);
			?>
		</div>

	</div>

	<?php
	
	display_edit_toggle(
		"magic",
		"Edit Background Style Settings",
		"we_edit_lp_bg"
	);

	?>

	<div id="we_edit_lp_bg" class="we_edit_area" >
		<?php
		display_color( 
			$_GET['id'],
			$results->lp_background_color,
			"Background Color", 
			"lp_background_color",
			"This is the color for the main section, this fills the entire landing page area...",
			"#DDDDDD"
		);
		display_field_image( 
			$_GET['id'],
			$results->lp_background_image,
			"Repeating Background Image URL", 
			"lp_background_image",
			"You can have a repeating image to be shown as the background to add some flare to your landing page...",
			"http://yoursite.com/background-image.png"
		);
		display_info(
				"Note: Background Image",
				"If you leave the background image blank, no bg image will be shown..."
			);
		?>
	</div>	

	<?php
	
	display_edit_toggle(
		"edit-sign",
		"Edit Main Headline",
		"we_edit_lp_headline"
	);

	?>

	<div id="we_edit_lp_headline" class="we_edit_area" >
		<?php
		display_wpeditor( 
			$_GET['id'],
			$results->lp_main_headline,
			"Main Headline", 
			"lp_main_headline",
			"This appears above the main optin area. This should really get people excited for your event, so they really want to be there...",
			""
		);
		?>
	</div>

	<?php
	
	display_edit_toggle(
		"film",
		"Edit CTA Area - Video / Image Settings",
		"we_edit_lp_cta_area"
	);

	?>

	<div id="we_edit_lp_cta_area" class="we_edit_area" >
		<?php
		display_color( 
			$_GET['id'],
			$results->lp_cta_bg_color,
			"CTA Area Background Color", 
			"lp_cta_bg_color",
			"This is the color for the CTA area that video or image is displayed, a good contrast color will get a lot of attention for this area...",
			"#000000"
		);

		display_info(
			"Note: CTA BG Color",
			"This is also used for the thank you page for the CTA area there..."
		);

		display_option( 
			$_GET['id'],
			$results->lp_cta_type,
			"CTA Type:", 
			"lp_cta_type",
			"You can choose to display a video embed code or have an image to be shown here. A video will get higher results...",
			"Show Video [video], Show Image [image]"
		);
		?>
		<div class="lp_cta_type" id="lp_cta_type_video" >
			<?php
			display_textarea( 
				$_GET['id'],
				$results->lp_cta_video_code,
				"Video Embed Code", 
				"lp_cta_video_code",
				"This is your video embed code. Your video will be auto-resized to fit the area which is <b>500px width and 281px height</b> <Br><br>EasyVideoPlayer users must resize their video manually...",
				"Ex. Youtube embed code, Vimeo embed code, etc"
			);
			display_info(
				"Note: Video Size",
				"The video will auto-resized, but its best you have a video with the same aspect ratio of 500x281..."
			);
			?>
		</div>

		<div class="lp_cta_type" id="lp_cta_type_image" style="display: none;" >
			<?php
			display_field_image( 
				$_GET['id'],
				$results->lp_cta_image,
				"CTA Image URL", 
				"lp_cta_image",
				"This is the image that will be shown in the main cta area, this image will be resized to fit the area: <b>500px width and 281px height</b>...",
				"http://yoursite.com/cta-image.png"
			);
			display_info(
				"Note: CTA Image",
				"For the best results, make sure your CTA image is 500 wide..."
			);
			?>
		</div>
	
	</div>

	<?php
	
	display_edit_toggle(
		"edit-sign",
		"Edit Sales Copy",
		"we_edit_lp_sales_copy"
	);

	?>

	<div id="we_edit_lp_sales_copy" class="we_edit_area" >
		<?php
		display_field( 
			$_GET['id'],
			$results->lp_sales_headline,
			"Sales Copy Headline", 
			"lp_sales_headline",
			"This is the copy that is shown above the sales copy for the landing page, it has a background color to make it pop on the page...",
			"Ex. What You Will Learn On The Webianr..."
		);
		display_color( 
			$_GET['id'],
			$results->lp_sales_headline_color,
			"Sales Copy Headline BG Color", 
			"lp_sales_headline_color",
			"This is the background color for the headline area... Make it a color that stands out on the page. The sales copy headline will always be white, so make sure this color works well with white text...",
			"#0496AC"
		);
		display_info(
			"Note: Headline BG Color",
			"This color will also be used in the thank you page for the step headlines..."
		);
		display_wpeditor( 
			$_GET['id'],
			$results->lp_sales_copy,
			"Main Sales Copy", 
			"lp_sales_copy",
			"This is the main sales copy that is shown under the CTA area and sales headline. This is where you can explain all the finer details about the webinar...",
			""
		);
		display_info(
				"Note: Sales Copy",
				"This is shown below the video area, you can have the main bits of what they will learn on the webinar here..."
			);
		?>
	</div>

	<?php
	
	display_edit_toggle(
		"edit-sign",
		"Edit Optin Headline",
		"we_edit_lp_optin_headline"
	);

	?>

	<div id="we_edit_lp_optin_headline" class="we_edit_area" >
		<?php
		display_wpeditor( 
			$_GET['id'],
			$results->lp_optin_headline,
			"Optin Headline", 
			"lp_optin_headline",
			"This is shown on the right hand side of the page above the webinar date...",
			""
		);
		?>
	</div>

	<?php
	
	display_edit_toggle(
		"calendar",
		"Edit Optin Webinar Date",
		"we_edit_lp_optin_date"
	);

	?>

	<div id="we_edit_lp_optin_date" class="we_edit_area" >
		<?php
		display_field( 
			$_GET['id'],
			$results->lp_webinar_month,
			"Webinar Month", 
			"lp_webinar_month",
			"This is shown in the calendar icon, in the top red area...",
			"Ex. MAY"
		);
		display_field( 
			$_GET['id'],
			$results->lp_webinar_day,
			"Webinar Day", 
			"lp_webinar_day",
			"This is shown in the calendar icon in the main area, this should just be the date...",
			"Ex. 23"
		);
		display_field( 
			$_GET['id'],
			$results->lp_webinar_headline,
			"Webinar Date Headline", 
			"lp_webinar_headline",
			"This is the text displayed next to the calendar, ideal for restating the date again...",
			"Ex. Thursday 23rd"
		);
		display_field( 
			$_GET['id'],
			$results->lp_webinar_subheadline,
			"Webinar Date Sub Headline", 
			"lp_webinar_subheadline",
			"This is shown under the headline above, ideal for stating the time of the webinar...",
			"at 5pm Eastern, 2pm Pacific"
		);
		display_info(
			"Note: Webinar Date",
			"This does not inherit the info from the webinar, because it is styled differently, this gives you more freedom on how you present the info to the user..."
		);
		?>
	</div>

	<?php
	
	display_edit_toggle(
		"envelope-alt",
		"Edit Optin Form Settings",
		"we_edit_lp_optin_form"
	);

	?>

	<div id="we_edit_lp_optin_form" class="we_edit_area" >
		<?php
		display_option( 
			$_GET['id'],
			$results->lp_fb_button,
			"Facebook Connect Button", 
			"lp_fb_button",
			"You can choose to use the Facebook connect button, by default its not shown, and if you do enable it, you must setup the FB connect settings in order for it to work...",
			"Disable - FB Connect [hide], Enable - FB Connect [show]"
		);
		?>
		<div class="lp_fb_button" id="lp_fb_button_show" style="display: none;" >
			<?php
			display_field( 
				$_GET['id'],
				$results->lp_fb_copy,
				"Facebook Connect Button Copy", 
				"lp_fb_copy",
				"This is the text that is shown on the Facebook Connect sign up button...",
				"Ex. Register With Facebook"
			);
			display_info(
				"Note: FB Button",
				"You will need to make sure you setup the FB Connect info, it is editable at the bottom of this page..."
			);
			?>
		</div>
		<?php
		display_field( 
			$_GET['id'],
			$results->lp_optin_email,
			"Email Field Placeholder Copy", 
			"lp_optin_email",
			"This is the text that is shown in the email optin field before they enter anything...",
			"Ex. Enter Your Best Email..."
		);

		display_option( 
			$_GET['id'],
			$results->lp_optin_name_setting,
			"Full Name Field", 
			"lp_optin_name_setting",
			"You can choose between showing a field for their name in two different ways, as one field for the full name, or in two fields for first and last name...",
			"Use Full Name [full], Use First Name & Last Name [firstlast]"
		);

		?>
		<div class="lp_optin_name_setting" id="lp_optin_name_setting_full" >
			<?php
			display_field( 
				$_GET['id'],
				$results->lp_optin_name,
				"Full Name Field Placeholder Copy", 
				"lp_optin_name",
				"This is the text that is shown in the name optin field before they enter anything into the field...",
				"Ex. Enter In Your Full Name..."
			);
			?>
		</div>

		<div class="lp_optin_name_setting" id="lp_optin_name_setting_firstlast" >
			<?php
			display_field( 
				$_GET['id'],
				$results->lp_optin_fname,
				"First Name Field Placeholder Copy", 
				"lp_optin_fname",
				"This is the text that is shown in the name optin field before they enter anything into the field...",
				"Ex. Enter In Your First Name..."
			);
			display_field( 
				$_GET['id'],
				$results->lp_optin_lname,
				"Last Name Field Placeholder Copy", 
				"lp_optin_lname",
				"This is the text that is shown in the name optin field before they enter anything into the field...",
				"Ex. Enter In Your Last Name..."
			);
			?>
		</div>

		<?php

		display_option( 
			$_GET['id'],
			$results->lp_optin_phone_setting,
			"Phone Optin Field", 
			"lp_optin_phone_setting",
			"You show or hide the phone field...",
			"Hide Phone Field [hide], Show Phone Field [show]"
		);

		?>
		<div class="lp_optin_phone_setting" id="lp_optin_phone_setting_show" >
			<?php
			display_field( 
				$_GET['id'],
				$results->lp_optin_phone,
				"Phone Field Placeholder Copy", 
				"lp_optin_phone",
				"This is the text that is shown in the Phone optin field before they enter anything into the field...",
				"Ex. Enter In Your Phone Number..."
			);
			?>
		</div>
		<?php

		display_option( 
			$_GET['id'],
			$results->lp_optin_skype_setting,
			"Skype Optin Field", 
			"lp_optin_skype_setting",
			"You show or hide the skype field...",
			"Hide Skype Field [hide], Show Skype Field [show]"
		);

		?>
		<div class="lp_optin_skype_setting" id="lp_optin_skype_setting_show" >
			<?php
			display_field( 
				$_GET['id'],
				$results->lp_optin_skype,
				"Skype Field Placeholder Copy", 
				"lp_optin_skype",
				"This is the text that is shown in the Skype optin field before they enter anything into the field...",
				"Ex. Enter In Your Skype Username..."
			);
			?>
		</div>
		<?php

		display_option( 
			$_GET['id'],
			$results->lp_optin_button,
			"Optin Button Style", 
			"lp_optin_button",
			"You can choose between our optin button or your own custom image optin button...",
			"CSS Button [color], Custom Image Button [image]"
		);
		?>
		<div class="lp_optin_button" id="lp_optin_button_color" >
		<?php
		display_color( 
				$_GET['id'],
				$results->lp_optin_btn_color,
				"Optin Button Color", 
				"lp_optin_btn_color",
				"This is the color you want the optin button to be... by default it will be green...",
				"#74BB00"
		);	
		?>
		</div>
		<div class="lp_optin_button" id="lp_optin_button_image" style="display:none;" >
		<?php
		display_field_image( 
				$_GET['id'],
				$results->lp_optin_btn_image,
				"Custom Button Image URL", 
				"lp_optin_btn_image",
				"This is the url for your custom optin button, for best results, it should be 327px wide...",
				"http://yoursite.com/custom-optin-image.png"
			);	
		?>	
		</div>
		<?php
		display_field( 
			$_GET['id'],
			$results->lp_optin_btn,
			"Optin Button Copy", 
			"lp_optin_btn",
			"This is the text that is shown on the optin button...",
			"Ex. Register For The Webinar"
		);
		display_field( 
			$_GET['id'],
			$results->lp_optin_spam,
			"Optin Spam Notice", 
			"lp_optin_spam",
			"This is the spam notice that is shown under the optin area... Helps a lot for conversion rates...",
			"Ex. * we will not spam, sell, rent, or lease your information *"
		);
		?>
	</div>

	<?php
	
	// display_edit_toggle(
	// 	"user",
	// 	"Edit Webinar Host Info",
	// 	"we_edit_lp_host"
	// );

	?>

	<div id="we_edit_lp_host" class="we_edit_area" style="display: none;" >
	<?php
	display_field_image( 
		$_GET['id'],
		$results->lp_host_image,
		"Webinar Host Photo URL", 
		"lp_host_image",
		"This is the image for the person hosting the webinar, this is shown under the optin area... <b>best results: 60px wide and  90px high</b>",
		"http://yoursite.com/webinar-host.png"
	);

	display_textarea( 
		$_GET['id'],
		$results->lp_host_info,
		"Webinar Host Info", 
		"lp_host_info",
		"This is the text that is show on the right side of the webinars host photo. This should tell the visitor who the host is and why they should listen them...(html allowed)",
		""
	);
	?>
	</div>

	<?php
	
	display_edit_toggle(
		"cog",
		"Edit Auto-Responder Integration",
		"we_edit_lp_ar"
	);

	?>

	<div id="we_edit_lp_ar" class="we_edit_area" >
		<?php
		display_textarea( 
		$_GET['id'],
		$results->ar_code,
		"Raw HTML Version Of Your Optin Code:", 
		"ar_code",
		"This should be the raw html version of the optin code your AR service provides you...",
		"The RAW html form code given to you by your AR service..."
		);

		?>
		<div style="margin-top: 15px; margin-bottom: 5px; padding-bottom: 20px; border-bottom: 1px dotted #e4e4e4;" >
			<a href="#" class="grey-btn arSplit" style="float:right; margin-right: 25px;"  ><i class="icon-wrench" style="margin-right: 5px;" ></i> Split AR Code</a>
			<br clear="right" />
		</div>
		<?php

		display_info(
			"Need Some Help?",
			"If you are having some issues, <a href='http://webinarexpress.com/members/download-training/' target='_blank'><b>WATCH VIDEO TUTORIAL</b></a>"
		);

		display_field( 
			$_GET['id'],
			$results->ar_url, 
			"AR Post URL", 
			"ar_url",
			"This is the POST URL for the AR code ( should be filled in for you )...",
			"Example: http://yourarservice.com/post?query * advance users"
		);

		display_field( 
			$_GET['id'],
			$results->ar_name, 
			"AR First Name Field", 
			"ar_name",
			"This is the NAME for the <b>first name OR full name field</b> ( should be filled in for you )...",
			"Example: fname"
		);

		display_field( 
			$_GET['id'],
			$results->ar_lname, 
			"AR Last Name Field", 
			"ar_lname",
			"This is the NAME for the last name field ( should be filled in for you )...",
			"Example: lname"
		);

		display_field( 
			$_GET['id'],
			$results->ar_email, 
			"AR Email Field", 
			"ar_email",
			"This is the NAME for the email address field ( should be filled in for you )...",
			"Example: email"
		);

		display_field( 
			$_GET['id'],
			$results->ar_phone, 
			"AR Phone Field", 
			"ar_phone",
			"This is the NAME for the phone number field ( * OPTIONAL )...",
			"Example: phone"
		);

		display_field( 
			$_GET['id'],
			$results->ar_skype, 
			"AR Skype Field", 
			"ar_skype",
			"This is the NAME for the Skype username field ( * OPTIONAL )...",
			"Example: skype"
		);

		display_field( 
			$_GET['id'],
			$results->ar_hidden, 
			"AR Hidden Fields", 
			"ar_hidden",
			"This is the hidden fields for your AR form ( should be filled in for you )...",
			"Example: <input type='hidden' name='extratracking' /> * advance users"
		);
		?>
	</div>

	<?php
	
	display_edit_toggle(
		"facebook-sign",
		"Edit Facebook Connect Settings",
		"we_edit_lp_optin_fbconnect"
	);

	?>

	<div id="we_edit_lp_optin_fbconnect" class="we_edit_area" >
		<?php

		display_tutorial(
			"Facebook Connect Video Tutorial:",
			"http://webinarexpress.com/members/download-training/"
		);

		display_field( 
			$_GET['id'],
			$results->fb_id,
			"Facebook App ID", 
			"fb_id",
			"This is your FB App ID",
			"Get From Facebook App..."
		);

		display_field( 
			$_GET['id'],
			$results->fb_secret,
			"Facebook App Secret", 
			"fb_secret",
			"This is your FB App Secret",
			"Get From Facebook App..."
		);

			display_info(
				"Note: FB Connect",
				"This can be a tricky, so we made you a video tutorial which, you can watch from the link above..."
			);

		?>
	</div>

	<div class="bottomSaveArea">
		<a href="#" class="blue-btn-4 btn saveIt" ><i class="icon-save" ></i> Save & Update</a>
	</div>

</div>