<div class="tabber" id="tab6" style="display: none;">

	<div class="titleBar">
		<h2>Extra Settings:</h2>
		<p>Here you can manage the extra bits of your campaign like the footer, and custom JS/CSS...</p>
	</div>

	<?php

	display_tutorial(
		"Extra Settings Video Tutorial:",
		"http://webinarexpress.com/members/download-training/"
	);
	
	display_edit_toggle(
		"edit-sign",
		"Edit Footer Settings",
		"we_edit_footer_settings"
	);

	?>

	<div id="we_edit_footer_settings" class="we_edit_area" >
		<?php
		display_wpeditor( 
			$_GET['id'],
			$results->footer_copy,
			"Footer Copy", 
			"footer_copy",
			"This is the copy that is shown on all the pages in your funnell..."
		);
		display_option( 
			$_GET['id'],
			$results->footer_branding,
			"WebinarExpress Footer Branding", 
			"footer_branding",
			"You can optionally show the branding of WebinarExpress on the footer...",
			"Show Branding [show], Hide Branding [hide]"
		);
		?>
		<div class="footer_branding" id="footer_branding_show">
			<?php
			display_field( 
				$_GET['id'],
				$results->footer_branding_copy,
				"Branding Copy", 
				"footer_branding_copy",
				"This is what the link says for WebinarExpress to your affiliate link...",
				"Ex. Powered By WebinarExpress"
			);
			display_field( 
				$_GET['id'],
				$results->footer_branding_url,
				"Your Affiliate Link", 
				"footer_branding_url",
				"This your affiliate link if you want to earn money from this branding...",
				"Ex. Your Affiliate Link"
			);
			display_info(
				"Note: Affiliate Link",
				"You can sign up for an affiliate link <a href='http://webinarexpress.com/jv' target='_blank' ><b>here</b></a>"
			);
			?>
		</div>

	</div>

	<?php
	display_edit_toggle(
		"edit-sign",
		"Raw Optin Form Code -- 3rd Party Integration",
		"we_edit_raw_optin"
	);

	?>

	<div id="we_edit_raw_optin" class="we_edit_area">

		<div class="editSection">

		<div class="inputTitle">
			<div class="inputTitleCopy" >Raw Optin Code</div>
			<div class="inputTitleHelp" >This is stuff here about it...</div>
		</div>
		
		<div class="inputSection">
			<?php

			$full_path2 = get_site_url();
			$assets2 = $full_path2 . "/wp-content/plugins/webinarexpress/inc/lp/";

			$RAWFORMS = 'Full Name: <input type="text" name="name"><br>
  						 Best Email: <input type="text" name="email"><br>
  						 <input type="hidden" name="campaignID" value="'.$_GET["id"].'" >
  						 <input type="submit" value="Register For Webinar">';
			$RAWARCODE = '<form action="'.$assets2.'posted.php" method="post">'.$RAWFORMS.'</form>';

			?>

			<textarea name="<?php echo $results->raw_optin_code; ?>" placeholder="" id="<?php echo $results->raw_optin_code; ?>" class="inputTextarea elem" ><?php echo $RAWARCODE; ?></textarea>
		</div>
		<br clear="left" >

	</div>

		<?php
		display_info(
				"Note: Raw Optin Code",
				"This code can be used to integrate with other landing pages like OptimizePress, ListEruption, etc. <br><br>
				When someone enters the form they get added to the webinar here, if you have sendgrid connected, they get an email and added to your sendgrid list. If you have an AR connected, they will also be added to the AR you setup.<br><br>
				<b>** Note: Only <u>NAME & EMAIL</u> Are sent Over ** Your optin code must not require other fields to work properly or this may not work...</b>"
			);
		?>

	</div>

	<?php
		display_edit_toggle(
		"cog",
		"Edit Custom Landing Page Settings (JS / CSS) ",
		"we_edit_custom_lp"
	);

	?>

	<div id="we_edit_custom_lp" class="we_edit_area" >
		<?php
		display_textarea( 
			$_GET['id'],
			$results->custom_lp_js,
			"Custom JS", 
			"custom_lp_js",
			"This is an area for custom JS code you can add to the page, displayed in the HEAD tag...",
			""
		);
		display_textarea( 
			$_GET['id'],
			$results->custom_lp_css,
			"Custom CSS", 
			"custom_lp_css",
			"This is an area for custom CSS code you can add to the page...",
			""
		);
		?>
	</div>	

	<?php
		display_edit_toggle(
		"cog",
		"Edit Custom Thank You Page Settings (JS / CSS) ",
		"we_edit_custom_ty"
	);

	?>

	<div id="we_edit_custom_ty" class="we_edit_area" >
		<?php
		display_textarea( 
			$_GET['id'],
			$results->custom_ty_js,
			"Custom JS", 
			"custom_ty_js",
			"This is an area for custom JS code you can add to the page, displayed in the HEAD tag...",
			""
		);
		display_textarea( 
			$_GET['id'],
			$results->custom_ty_css,
			"Custom CSS", 
			"custom_ty_css",
			"This is an area for custom CSS code you can add to the page...",
			""
		);
		?>
	</div>

	<?php
		display_edit_toggle(
		"cog",
		"Edit Custom Webinar Page Settings (JS / CSS) ",
		"we_edit_custom_webinar"
	);

	?>

	<div id="we_edit_custom_webinar" class="we_edit_area" >
		<?php
		display_textarea( 
			$_GET['id'],
			$results->custom_webinar_js,
			"Custom JS", 
			"custom_webinar_js",
			"This is an area for custom JS code you can add to the page, displayed in the HEAD tag...",
			""
		);
		display_textarea( 
			$_GET['id'],
			$results->custom_webinar_css,
			"Custom CSS", 
			"custom_webinar_css",
			"This is an area for custom CSS code you can add to the page...",
			""
		);
		?>
	</div>

	<?php
		display_edit_toggle(
		"cog",
		"Edit Custom Replay Page Settings (JS / CSS) ",
		"we_edit_custom_replay"
	);

	?>

	<div id="we_edit_custom_replay" class="we_edit_area" >
		<?php
		display_textarea( 
			$_GET['id'],
			$results->custom_replay_js,
			"Custom JS", 
			"custom_replay_js",
			"This is an area for custom JS code you can add to the page, displayed in the HEAD tag...",
			""
		);
		display_textarea( 
			$_GET['id'],
			$results->custom_replay_css,
			"Custom CSS", 
			"custom_replay_css",
			"This is an area for custom CSS code you can add to the page...",
			""
		);
		?>
	</div>


</div>