<?php

// Run when plugin is activated
function webinarexpress_installer(){

   global $wpdb;

   // Set Database For Mail Apps

   $table_name = $wpdb->prefix . "webinarexpress";
   
   if($wpdb->get_var("show tables like '$table_name'") != $table_name) {
      
     $sql = "CREATE TABLE " . $table_name . " (
	   
	   ID INTEGER(100) UNSIGNED AUTO_INCREMENT,
	   
	   created varchar(30),
	   
	   appname varchar(200),

     camtype varchar(20),

     total_lp varchar(200),

     total_ty varchar(200),

     total_live varchar(200),

     total_replay varchar(200),

     postID varchar(10),
	   	   	
	   UNIQUE KEY id (id)
	   
	 )ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci AUTO_INCREMENT=1;";

      require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
      
      dbDelta($sql);
    
    }

    $table_name = $wpdb->prefix . "webinarexpress_leads";
       
    if($wpdb->get_var("show tables like '$table_name'") != $table_name) {
          
          $sql = "CREATE TABLE " . $table_name . " (
         
          ID INTEGER(100) UNSIGNED AUTO_INCREMENT,
         
          app_id varchar(20),

          name varchar(200),
          email varchar(200),

          phone varchar(200),
          skype varchar(200),
         
          created varchar(200),
         
          UNIQUE KEY id (id)
         
          )ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci AUTO_INCREMENT=1;";
    
          require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
          
          dbDelta($sql);
          
    }

    $table_name = $wpdb->prefix . "webinarexpress_questions";
       
    if($wpdb->get_var("show tables like '$table_name'") != $table_name) {
          
          $sql = "CREATE TABLE " . $table_name . " (
         
          ID INTEGER(100) UNSIGNED AUTO_INCREMENT,
         
          app_id varchar(20),

          question LONGTEXT,

          status varchar(200),

          created varchar(200),
         
          UNIQUE KEY id (id)
         
          )ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci AUTO_INCREMENT=1;";
    
          require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
          
          dbDelta($sql);
          
    }

} 

?>