<?php

	// Get DB Info
	global $wpdb;
	$table_db_name = $wpdb->prefix . $pluginName;
	$ID = $client;
	$data = $wpdb->get_results("SELECT * FROM $table_db_name WHERE id = '$ID'", OBJECT);
	foreach($data as $data) {}
	
	$full_path = get_site_url();
	$assets = $full_path . "/wp-content/plugins/webinarexpress/inc/lp/";

	// Get Results
	$id = $client;
	$results = get_option('webinarexpress_campaign_'. $id);

?>
<!DOCTYPE html>
<html>
<head>

	<!-- META INFO -->
	<title><?php display($results->ty_share_title, "Amazing Webinar"); ?></title>
	<meta name="description" content="<?php display($results->ty_share_desc, "Join this amazing webinar May the 4th, and discover industry trade secrets!"); ?>">
	<!-- SOCIAL INFO -->
	<meta property="og:title" content="<?php display($results->ty_share_title, "Amazing Webinar"); ?>"/>
	<meta property="og:image" content="<?php display($results->ty_share_image, ""); ?>"/>

	<link href="<?php echo $assets; ?>css/normalize.css" rel="stylesheet" type="text/css" />
	<link href="<?php echo $assets; ?>css/foundation.css" rel="stylesheet" type="text/css" />
	<link href="<?php echo $assets; ?>css/font-awesome.min.css" rel="stylesheet" type="text/css" />
	<link href="<?php echo $assets; ?>css/font-awesome-ie7.min.css" rel="stylesheet" type="text/css" />

	<link href="<?php echo $assets; ?>css/main.css" rel="stylesheet" type="text/css" />

	<link href="<?php echo $assets; ?>css/countdown-ty.css" rel="stylesheet" type="text/css" />

	<?php include("css/lp_css.php"); ?>

	<!-- CUSTOM JS -->
	<script type="text/javascript">
		<?php display($results->custom_ty_js, ""); ?>
	</script>
	<!-- CUSTOM CSS -->
	<style type="text/css">
		<?php display($results->custom_ty_css, ""); ?>
	</style>

</head>
<body>

<!-- TOP AREA -->
<div class="topArea">
	<div class="bannerTop">
		<?php if( $results->lp_banner_image == "" ){ 
			// echo "NONE"; 
		} else { 
			echo "<img src='$results->lp_banner_image' />"; 
		} ?>
	</div>
</div>

<!-- Main Area -->
<div class="mainWrapper">

	<!-- HEADLINE AREA -->
	<div class="headlineArea">
		<?php 
			display(
				$results->ty_headline, 
				'<h2 style="margin-top: -10px; margin-bottom: 40px;" >Congrats! Your All Signed Up For The Webinar</h2>'
			); 
		?>
	</div>

	<!-- SALES AREA -->
	<div class="salesWrapper">

		<!-- LEFT SIDE -->
		<div class="ctaLeft">

			<div class="videoBlock">
				<div class="ctaArea">
					<?php
					if( $results->ty_cta_type == "" || $results->ty_cta_type == "video" ){
						display(
							$results->ty_cta_video_code, 
							'<img src="'.$assets.'images/novideo.png" />'
						);
					} else {
						echo "<img src='";
						display($results->ty_cta_image, $assets.'images/noctaimage.png');
						echo "' height='281' width='500' />";
					}
					?>
				</div>
			</div>

			<div class="innerHeadline addedArrow ">
				<span>
					<?php 
					display(
						$results->ty_step1_headline, 
						'Step#1: Grab The Webinar URL'
					); 
					?>
				</span>
				<br clear="right" />
			</div>

			<!-- WEBINAR URL AREA -->
			<div class="webinarURLWrapper">

				<div class="webinarURLHeadline">
					<?php 
					display(
						$results->ty_webinar_headline, 
						'Here is the webinar URL...'
					); 
					?>
				</div>
				<input type="text" id="webbyURL" value="<?php if( $results->ty_webinar_url == "custom" ){ echo $results->ty_werbinar_custom_url; } else { echo get_permalink( $data->postID ) . "?live"; } ?>" >
				<div class="webinarURLHeadline2"> 
					<?php 
					display(
						$results->ty_webinar_subheadline, 
						'Save and bookmark this URL so you can get access the live webinar and webinar replay...'
					); 
					?>
				</div>

			</div>

			<div style="display:<?php display($results->ty_share_toggle, "none"); ?>;" >

			<div class="innerHeadline addedArrow " >
				<span>
					<?php 
					display(
						$results->ty_step2_headline, 
						'Step #2: Share & Unlock Cool Reward...'
					); 
					?>
				</span>
				<br clear="right" />
			</div>

			<div class="innerCopy">
				
				<!-- SHARE BLOCK -->
				<div class="shareBlock">
					
					<?php if( $results->ty_fb_share == "off" ){} else { ?>
					<div class="socialShare">
						<div class="fb-like" data-href="<?php if( $results->ty_webinar_url == "custom" ){ echo $results->ty_werbinar_custom_url; } else { echo get_permalink( $data->postID ) . "?live"; } ?>" data-send="false" data-layout="box_count" data-width="48" data-show-faces="false" data-font="arial"></div>
					</div>
					<div class="socialDivider"></div>
					<?php } ?>

					<?php if( $results->ty_tw_share == "off" ){} else { ?>
					<div class="socialShare">
						<a href="https://twitter.com/share" class="twitter-share-button" data-url="<?php if( $results->ty_webinar_url == "custom" ){ echo $results->ty_werbinar_custom_url; } else { echo get_permalink( $data->postID ) . "?live"; } ?>" data-lang="en" data-related="anywhereTheJavascriptAPI" data-count="vertical">Tweet</a>
					</div>
					<div class="socialDivider"></div>
					<?php } ?>

					<?php if( $results->ty_ld_share == "off" ){} else { ?>
					<div class="socialShare">
						<script src="//platform.linkedin.com/in.js" type="text/javascript">
						 lang: en_US
						</script>
						<script type="IN/Share" data-url="<?php if( $results->ty_webinar_url == "custom" ){ echo $results->ty_werbinar_custom_url; } else { echo get_permalink( $data->postID ) . "?live"; } ?>" data-counter="top" data-onSuccess="shareLinkedIn" ></script>
					</div>
					<div class="socialDivider"></div>
					<?php } ?>

					<?php if( $results->ty_gp_share == "off" ){} else { ?>
					<div class="socialShare">
						<div class="g-plus" data-onendinteraction="sharedGP" data-action="share" data-href="<?php if( $results->ty_webinar_url == "custom" ){ echo $results->ty_werbinar_custom_url; } else { echo get_permalink( $data->postID ) . "?live"; } ?>" data-annotation="vertical-bubble" data-height="60"></div>
					</div>
					<?php } ?>
					<br clear="left" />

				</div>

				<!-- SHARE REWARD - UNLOCK -->
				<div class="shareReward">
					<div class="sharePRE">
						<?php 
						display(
							$results->ty_share_intro, 
							'<h4>Share This Webinar & Unlock Free Report</h4>
							<p>Simply share the webinar on any of the social networks above, and you will get instant access to this report...</p>'
						); 
						?>
					</div>
					<div class="shareREVEAL" style="display: none;" >
						<?php 
						display(
							$results->ty_share_reveal, 
							'<h4>Congrats! Reward Unlocked</h4>
							<p>Here is the text that would be shown when they unlock a reward...</p>'
						); 
						?>
					</div>
				</div>

				</div>

			</div>

		</div>

		<!-- RIGHT SIDE -->
		<div class="ctaRight">

			<div class="ticketWrapper">
			
				<!-- TICKET HEADLINE -->
				<div class="ticketHeadline">
					<!-- <img src="images/ticket.png" align="left" /> -->
					<i class="icon-ticket icon-4x ticketIcon"></i>
					<span class="optinHeadline1" ><?php display($results->ty_ticket_headline, "Your Webinar Ticket"); ?></span>
					<span class="optinHeadline2" ><?php display($results->ty_ticket_subheadline, "The Webinar Event Information...") ?></span>
					<br clear="left" />
				</div>

				<div class="ticketInfo">
					<div class="ticketSection"> 
						<i class="icon-desktop"></i>
						<?php if( $results->ty_ticket_webinar_option == "custom" ){
							?>
							<b><?php display($results->ty_ticket_webinar, "Webinar"); ?></b>
							<?php display($results->ty_webinar_option_custom_title, "Webinar Event Title"); ?>
							<?php
						} else { ?>
							<b>Webinar:</b> <?php echo $results->webinar_desc; ?>
						<?php } ?>
					</div>
					<div class="ticketSection"> 
						<i class="icon-bullhorn"></i> 
						<?php if( $results->ty_ticket_host_option == "custom" ){
							?>
							<b><?php display($results->ty_ticket_host, "Host"); ?></b>
							<?php display($results->ty_host_webinar_custom_host, "Your Name Here"); ?>
							<?php
						} else { ?>
							<b>Host:</b> <?php echo $results->webinar_host; ?>
						<?php } ?>
					</div>
					<div class="ticketSection"> 
						<i class="icon-calendar"></i> 
						<?php if( $results->ty_ticket_date_option == "custom" ){
							?>
							<b><?php display($results->ty_ticket_date, "Date"); ?></b>
							<?php display($results->ty_webinar_option_custom_date, "May 24th"); ?>
							<?php
						} else { ?>
							<b>Date:</b> <?php echo $results->lp_webinar_headline; ?>
						<?php } ?>
					</div>
					<div class="ticketSection"> 
						<i class="icon-time"></i> 
						<?php if( $results->ty_ticket_time_option == "custom" ){
							?>
							<b><?php display($results->ty_ticket_time, "Time"); ?></b>
							<?php display($results->ty_webinar_option_custom_time, "At 8pm EST, 5pm PST"); ?>
							<?php
						} else { ?>
							<b>Time:</b> <?php echo $results->lp_webinar_subheadline; ?>
						<?php } ?>
					</div>

					<div class="ticketCDArea ticketSection" style="display: <?php if( $results->tycdarea == "" || $results->tycdarea == "show" ){ echo "block"; } else { echo "none"; } ?> ;" >
							
						<a href="<?php echo get_permalink( $data->postID ) . "?live"; ?>" class="ticketCDAreaBTN button alert radius disabled addedArrow" id="webinarBTNNN">
							<?php display($results->tycd_countdown, "Webinar Starts Soon:"); ?> <div id="defaultCountdown"></div>
						</a>

						
					</div>

				</div>

			</div>

			<!-- ADD TO CALENDARS -->
			<div class="addCalendar">
				
				<div class="addCalendarHeadline">
					<i class="icon-calendar icon-4x ticketIcon"></i>
					<span class="optinHeadline1" ><?php display($results->ty_calendar_headline, "Add To Your Calendar"); ?></span>
					<span class="optinHeadline2" ><?php display($results->ty_calendar_subheadline, "Remind Yourself Of The Event"); ?></span>
					<br clear="left" />
				</div>
				
				<a href="?googlecalendar" class="small button" target="_blank">
					<i class="icon-plus-sign"></i> <?php display($results->ty_calendar_google, "Google Calendar"); ?>
				</a>
				<a href="?ics" class="small button" target="_blank" >
					<i class="icon-plus-sign"></i> <?php display($results->ty_calendar_ical, "iCal / Outlook"); ?>
				</a>

			</div>

			<!-- PHONE REMINDER -->
			<!-- <div class="phoneReminder">

				<div class="phoneReminderHeadline">
					<i class="icon-mobile-phone icon-4x ticketIcon"></i>
					<span class="optinHeadline1" >Get A SMS Reminder</span>
					<span class="optinHeadline2" >Text Message 1 Hour Before Event...</span>
					<br clear="left" />
				</div>

				<input type="text" id="optPhone" placeholder="Enter Your Mobile Phone Number..." >
				<a href="#" class="button addedArrow" style="width: 327px;" >Get Text Message Reminder</a>

			</div> -->

		</div>

		<br clear="left" />

	</div>

</div>

<!-- BOTTOM AREA -->
<div class="bottomArea">
	<div><?php display( $results->footer_copy, "All Rights Reserved - Copyright @ 2013" ); ?></div>
	<?php if($results->footer_branding == "show" || $results->footer_branding == "" ){ ?>
	<div style="margin-top: 15px;" ><a href="<?php display( $results->footer_branding_url, "http://webinarexpress.com/" ); ?>" target="_blank" ><b><?php display( $results->footer_branding_copy, "Powered By WebinarExpress" ); ?></b></a></div>
	<?php } ?>
</div>

<!-- SOCIAL JS CODES -->
<div id="fb-root"></div>
<script>
  window.fbAsyncInit = function() {
	FB.init({appId: '178580152294594', status: true, cookie: true,
	xfbml: true});

	// FACEBOOK LIKE/SHARE
	  	FB.Event.subscribe('edge.create',
		    function(response) {
		    	$(".sharePRE").hide();
		    	$(".shareREVEAL").show();
		    }
		);

	};
	(function() {
	var e = document.createElement('script'); e.async = true;
	e.src = document.location.protocol +
	'//connect.facebook.net/en_US/all.js';
	document.getElementById('fb-root').appendChild(e);
	}());</script>


<script type="text/javascript">
  (function() {
    var po = document.createElement('script'); po.type = 'text/javascript'; po.async = true;
    po.src = 'https://apis.google.com/js/plusone.js';
    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(po, s);
  })();
</script>

<!-- TWITTER -->
<script>        
//Twitter Widgets JS
window.twttr = (function (d,s,id) {
 var t, js, fjs = d.getElementsByTagName(s)[0];
if (d.getElementById(id)) return; js=d.createElement(s); js.id=id;
js.src="https://platform.twitter.com/widgets.js"; fjs.parentNode.insertBefore(js, fjs);
return window.twttr || (t = { _e: [], ready: function(f){ t._e.push(f) } });
}(document, "script", "twitter-wjs"));

//Once twttr is ready, bind a callback function to the tweet event
twttr.ready(function(twttr) {       
    twttr.events.bind('tweet', function (event) {
        $(".sharePRE").hide();
		$(".shareREVEAL").show();
    });
});
</script>

<!-- JS AREA -->
<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.7/jquery.min.js"></script>
<script type="text/javascript" src="<?php echo $assets; ?>js/countdown.js"></script>


<script type="text/javascript">
$(document).ready(function() {

	// AJAX FOR WP
	var ajaxurl = '<?php echo admin_url('admin-ajax.php'); ?>';

	// TRACK +1 VIEW
    var data = { action: 'webinarexpress_track_view', id: "<?php echo $client; ?>", page: "ty" };
    $.post( ajaxurl, data, function(results) {});

	// VIDEO FIXES:
	$(".ctaArea iframe").height(281);
	$(".ctaArea iframe").width(500);
	// Set video EMBED
	$(".ctaArea embed").height(281);
	$(".ctaArea embed").width(500);
	// Set video OBJECT
	$(".ctaArea object").height(281);
	$(".ctaArea object").width(500);	

	// SHARE UNLOCKS

	// LinkedIN Share :: 
  	function shareLinkedIn(success){
  		$(".sharePRE").hide();
		$(".shareREVEAL").show();
  	}

  	// GooglePlus Share :: 
  	function sharedGP(jsonParam){
  		$(".sharePRE").hide();
		$(".shareREVEAL").show();
  	}

  		var austDay = new Date();
       	
       	<?php
       		// Get Date
       		$expire = $results->webinar_date;
            $exDate = explode("-", $expire);
            $exYear = $exDate[2];
            $exMonth = $exDate[0];
            $exDay = $exDate[1];
            // Get Time
            $time = $results->webinar_start_time;
            $exTime = explode(":", $time);
            $exHr = $exTime[0];
            $exMin = $exTime[1];
            $exSec = $exTime[2];
       	?>

        austDay = $.countdown.UTCDate(<?php echo $results->webinar_timezone ? $results->webinar_timezone : '-5'; ?>, <?php echo $exYear ? $exYear : '0'; ?>, <?php echo $exMonth ? $exMonth : '0'; ?> - 1, <?php echo $exDay ? $exDay : '0'; ?>, <?php echo $exHr ? $exHr : '0'; ?>, <?php echo $exMin ? $exMin : '0'; ?>, <?php echo $exSec ? $exSec : '0'; ?>);
        
        $('#defaultCountdown').countdown({
        	until: austDay, 
        	onExpiry: expired_cd,
        	compact: true,
        	alwaysExpire: true
        });
        
        function expired_cd() { 
        	$(".ticketCDAreaBTN").text('<?php display($results->tycd_progress, "Webinar Is In Progress"); ?>'); 
        	$("#defaultCountdown").hide(); 
        	$("#webinarBTNNN").removeClass("disabled");
        	$("#webinarBTNNN").removeClass("alert");
        	$("#webinarBTNNN").addClass("success");
        }


});
</script>

</body>
</html>